local L = LibStub("AceLocale-3.0"):NewLocale("Spy", "zhTW")
if not L then return end
-- TOC Note: "偵測並警告你附近有敵方玩家出沒。"

-- Addon information
L["Spy"] = "偵測敵方玩家 Spy"
L["Version"] = "版本"
L["LoadDescription"] = "|cff9933ff偵測敵方玩家插件已載入，輸入 |cffffffff/spy|cff9933ff 查看更多指令選項。"
L["SpyEnabled"] = "|cff9933ff偵測敵方玩家插件已啟用。"
L["SpyDisabled"] = "|cff9933ff偵測敵方玩家插件已停用，輸入 |cffffffff/spy enable|cff9933ff 來啟用。"
L["UpgradeAvailable"] = "|cff9933ff偵測敵方玩家插件已有新版本，可以到這裡下載：\n|cffffffffhttps://mods.curse.com/addons/wow/spy"

-- Configuration frame name
L["Spy Option"] = "PVP 偵測敵方玩家"

-- Configuration strings
L["Profiles"] = "設定檔"

L["GeneralSettings"] = "一般設定"
L["SpyDescription1"] = [[
Spy 是一個可以警告你附近有敵方玩家出沒的插件。
]]
L["SpyDescription2"] = [[

|cffffd000附近清單|cffffffff
附近清單會顯示已經被偵測到在附近的任何敵方玩家。點一下清單中的名字可以將玩家選取為目標，但是只能在非戰鬥中使用。一段時間後沒有偵測到的玩家會從清單中自動移除。

標題列的清空按鈕可以立即清空清單，按住 CTRL 鍵來清空可以快速啟用/停用 Spy。

|cffffd000最近清單|cffffffff
最近清單會顯示最近一小時內偵測到的所有敵方玩家。

|cffffd000忽略清單|cffffffff
Spy 不會顯示被加入到忽略清單中的玩家。透過滑鼠右鍵選單，或是按住 CTRL 鍵點擊名字將玩家加入清單和移除。

|cffffd000即殺清單|cffffffff
偵測到在即殺清單清單中的玩家時會發出警告。透過滑鼠右鍵選單，或是按住 SHIFT 鍵點擊名字將玩家加入清單和移除。

滑鼠右鍵選單也可以設定將某人加入到即殺清單的原因。如果你想要輸入不在清單中的原因，請在其他清單中使用 "自行輸入原因..."。


|cffffd000Author: http://www.curse.com/users/slipjack|cffffffff

]]
L["EnableSpy"] = "啟用"
L["EnableSpyDescription"] = "現在和登入時都要啟用 Spy。"
L["EnabledInBattlegrounds"] = "戰場中啟用"
L["EnabledInBattlegroundsDescription"] = "身處在戰場中時啟用或停用 Spy。"
L["EnabledInArenas"] = "競技場中啟用"
L["EnabledInArenasDescription"] = "身處在競技場中時啟用或停用 Spy。"
L["EnabledInWintergrasp"] = "世界戰鬥區域中啟用"
L["EnabledInWintergraspDescription"] = "身處在世界戰鬥區中時啟用或停用 Spy，例如北裂境的冬握湖。"
L["DisableWhenPVPUnflagged"] = "非 PVP 狀態時停用"
L["DisableWhenPVPUnflaggedDescription"] = "依據自身的 PVP 狀態啟用或停用 Spy。"

L["DisplayOptions"] = "顯示"
L["DisplayOptionsDescription"] = [[
自動顯示或隱藏 Spy。
]]
L["ShowOnDetection"] = "偵測到敵方玩家時顯示"
L["ShowOnDetectionDescription"] = "偵測到敵方玩家時會自動將隱藏的 Spy 視窗和附近清單顯示出來。"
L["HideSpy"] = "沒有偵測到敵方玩家時隱藏"
L["HideSpyDescription"] = "附近清單內容是空的時候會自動隱藏。手動清空清單時不會隱藏 Spy。"
L["ShowOnlyPvPFlagged"] = "只顯示狀態為 PvP 的敵方玩家"
L["ShowOnlyPvPFlaggedDescription"] = "在附近清單中只顯示切換為 PvP 狀態的敵方玩家。"
L["LockSpy"] = "鎖定視窗"
L["LockSpyDescription"] = "鎖定 Spy 視窗讓它不能被移動。"
L["InvertSpy"] = "翻轉視窗"
L["InvertSpyDescription"] = "上下翻轉 Spy 視窗。"
L["ResizeSpy"] = "自動調整視窗大小"
L["ResizeSpyDescription"] = "新增和移除敵方玩家時自動調整 Spy 視窗的大小。"
L["ResizeSpyLimit"] = "列表限制"
L["ResizeSpyLimitDescription"] = "限制SPY窗口中显示的敌方玩家数量。"
L["TooltipDisplayWinLoss"] = "滑鼠提示中顯示勝/敗統計"
L["TooltipDisplayWinLossDescription"] = "在玩家的滑鼠提示中顯示該玩家的勝/敗統計資訊。"
L["TooltipDisplayKOSReason"] = "滑鼠提示中顯示即殺原因"
L["TooltipDisplayKOSReasonDescription"] = "在玩家的滑鼠提示中顯示該玩家被加入到即殺清單中的原因。"
L["TooltipDisplayLastSeen"] = "滑鼠提示中顯示上次遇到的詳情"
L["TooltipDisplayLastSeenDescription"] = "在玩家的滑鼠提示中顯示最近一次遇到該玩家的時間和地點。"
L["SelectFont"] = "選擇字體"
L["SelectFontDescription"] = "選擇 Spy 視窗使用的字體。"
L["RowHeight"] = "選擇列高"
L["RowHeightDescription"] = "選擇 Spy 視窗橫列的高度。"

L["AlertOptions"] = "警告"
L["AlertOptionsDescription"] = [[
遇到時可以將詳情通報到聊天頻道，並且控制偵測到敵方玩家時 Spy 該如何發出警告。
]]
L["Announce"] = "通報到:"
L["None"] = "無"
L["NoneDescription"] = "偵測到敵方玩家時不要通報。"
L["Self"] = "自己"
L["SelfDescription"] = "偵測到敵方玩家時通知自己。"
L["Party"] = "隊伍"
L["PartyDescription"] = "偵測到敵方玩家時通報到你的隊伍。"
L["Guild"] = "公會"
L["GuildDescription"] = "偵測到敵方玩家時通報到你的公會。"
L["Raid"] = "團隊"
L["RaidDescription"] = "偵測到敵方玩家時通報到你的團隊。"
L["LocalDefense"] = "本地防務"
L["LocalDefenseDescription"] = "偵測到敵方玩家時通報到本地防務頻道。"
L["OnlyAnnounceKoS"] = "只通報即殺的敵方玩家"
L["OnlyAnnounceKoSDescription"] = "設定為只通報在即殺清單中的敵方玩家。"
L["WarnOnStealth"] = "隱形偵測警告"
L["WarnOnStealthDescription"] = "敵方玩家獲得隱形時顯示警告和音效。"
L["WarnOnKOS"] = "即殺偵測警告"
L["WarnOnKOSDescription"] = "偵測到在即殺清單中的敵方玩家時顯示警告和音效。"
L["WarnOnKOSGuild"] = "公會即殺偵測警告"
L["WarnOnKOSGuildDescription"] = "偵測到和即殺清單中有相同公會的敵方玩家時顯示警告和音效。"
L["WarnOnRace"] = "種族偵測警告"
L["WarnOnRaceDescription"] = "偵測到指定的種族時發出音效警告。"
L["SelectWarnRace"] = "選擇要偵測的種族"
L["SelectWarnRaceDescription"] = "選擇要發出警告音效的種族。"
L["WarnRaceNote"] = "注意: 至少需要將敵人選取為目標一次 (點 Spy 視窗中的玩家名字) 他的種族才會加入到資料庫中，下次偵測到時便可以發出警告音效。和偵測附近敵人一樣，戰鬥中無法點選。"
L["DisplayWarningsInErrorsFrame"] = "在錯誤訊息框架顯示警告"
L["DisplayWarningsInErrorsFrameDescription"] = "使用錯誤訊息框架來顯示警告，而不是使用圖形介面的彈出視窗。"
L["EnableSound"] = "啟用警告音效"
L["EnableSoundDescription"] = "偵測到敵方玩家時啟用警告音效，隱形和即殺清單中的敵方玩家會發出不同的警告音效。"
L["OnlySoundKoS"] = "只有即殺清單使用警告音效"
L["OnlySoundKoSDescription"] = "只有偵測到即殺清單中的敵方玩家時才播放警告音效。"

L["ListOptions"] = "附近清單"
L["ListOptionsDescription"] = [[
設定 Spy 該如何將敵方玩家加入附近清單和移除。
]]
L["RemoveUndetected"] = "多久後從附近清單中移除敵方玩家:"
L["1Min"] = "1 分鐘"
L["1MinDescription"] = "移除超過 1 分鐘未偵測到的敵方玩家。"
L["2Min"] = "2 分鐘"
L["2MinDescription"] = "移除超過 2 分鐘未偵測到的敵方玩家。"
L["5Min"] = "5 分鐘"
L["5MinDescription"] = "移除超過 5 分鐘未偵測到的敵方玩家。"
L["10Min"] = "10 分鐘"
L["10MinDescription"] = "移除超過 10 分鐘未偵測到的敵方玩家。"
L["15Min"] = "15 分鐘"
L["15MinDescription"] = "移除超過 15 分鐘未偵測到的敵方玩家。"
L["Never"] = "永不移除"
L["NeverDescription"] = "永遠不要移除敵方玩家，仍然可以使用手動的方式清除附近清單。"
L["ShowNearbyList"] = "偵測到敵方玩家時自動切換到附近清單"
L["ShowNearbyListDescription"] = "偵測到敵方玩家時顯示附近清單，如果原本沒有顯示的話。"
L["PrioritiseKoS"] = "附近清單中優先排序即殺的敵方玩家"
L["PrioritiseKoSDescription"] = "在附近清單中總是將即殺的敵方玩家顯示在最前面。"

L["MinimapOptions"] = "地圖"
L["MinimapOptionsDescription"] = [[
提供額外的功能給能夠從小地圖追蹤人形生物的玩家。

能夠追蹤人形生物的玩家包括獵人、德魯伊，或是透過其他方式獲得這個能力，像是吃焦黑的座狼排。
]]
L["MinimapTracking"] = "啟用小地圖追蹤"
L["MinimapTrackingDescription"] = "啟用小地圖追蹤和偵測，在小地圖偵測到的已知敵方玩家會加入到附近清單。"
L["MinimapDetails"] = "滑鼠提示中顯示等級/職業細節"
L["MinimapDetailsDescription"] = "更新小地圖的滑鼠提示，隨著敵人名字一併顯示等級/職業的詳細資訊。"
L["DisplayOnMap"] = "在地圖上顯示敵人位置"
L["DisplayOnMapDescription"] = "在世界地圖和小地圖上顯示由隊伍、團隊或公會其他 Spy 使用者偵測到的敵人位置。"
L["SwitchToZone"] = "偵測到敵人時切換到目前區域的地圖"
L["SwitchToZoneDescription"] = "打開世界地圖並且偵測到敵人時，會自動切換到玩家目前所在的區域地圖。"
L["MapDisplayLimit"] = "限制顯示的地圖圖示:"
L["LimitNone"] = "任何地方"
L["LimitNoneDescription"] = "無視目前所在的地區，在地圖上顯示所有偵測到的敵人。"
L["LimitSameZone"] = "相同區域"
L["LimitSameZoneDescription"] = "只顯示同一個區域中偵測到的敵人。"
L["LimitSameContinent"] = "相同大陸"
L["LimitSameContinentDescription"] = "只顯示同一塊大陸中偵測到的敵人。"

L["DataOptions"] = "資料維護"
L["DataOptionsDescription"] = [[
設定 Spy 如何收集和維護資料。
]]
L["PurgeData"] = "清除多久後未偵測到的敵方玩家:"
L["OneDay"] = "1 天"
L["OneDayDescription"] = "清除超過 1 天未偵測到的敵方玩家資料。"
L["FiveDays"] = "5 天"
L["FiveDaysDescription"] = "清除超過 5 天未偵測到的敵方玩家資料。"
L["TenDays"] = "10 天"
L["TenDaysDescription"] = "清除超過 10 天未偵測到的敵方玩家資料。"
L["ThirtyDays"] = "30 天"
L["ThirtyDaysDescription"] = "清除超過 30 天未偵測到的敵方玩家資料。"
L["SixtyDays"] = "60 天"
L["SixtyDaysDescription"] = "清除超過 60 天未偵測到的敵方玩家資料。"
L["NinetyDays"] = "90 天"
L["NinetyDaysDescription"] = "清除超過 90 天未偵測到的敵方玩家資料。"
L["PurgeKoS"] = "也要清除未偵測到的即殺玩家"
L["PurgeKoSDescription"] = "使用相同的時間，清除未偵測到的即殺玩家。"
L["PurgeWinLossData"] = "也要清除勝/敗資料"
L["PurgeWinLossDataDescription"] = "使用相同的時間，清除勝/敗資料。"
L["ShareData"] = "和其他 Spy 使用者分享資料"
L["ShareDataDescription"] = "和隊伍、團隊和公會中也有使用 Spy 插件的玩家分享你遇到敵方玩家的詳情。"
L["UseData"] = "使用來自於其他 Spy 使用者的資料"
L["UseDataDescription"] = [[使用從隊伍、團隊和公會中也有使用 Spy 插件的玩家收集到的資料。

另一個 Spy 使用者偵測到的敵方玩家，也會加入到你的附近清單中 (如果還有空間的話)。
]]
L["ShareKOSBetweenCharacters"] = "不同角色共用即殺玩家資料"
L["ShareKOSBetweenCharactersDescription"] = "分享標記為即殺的玩家給你在同一個伺服器、同陣營的其他角色。"

L["SlashCommand"] = "聊天視窗指令"
L["SpySlashDescription"] = "這些按鈕會執行在聊天視窗輸入 /spy 時相同的指令選項動作。"
L["Enable"] = "啟用"
L["EnableDescription"] = "啟用 Spy 並顯示主視窗。"
L["Show"] = "顯示"
L["ShowDescription"] = "顯示主視窗."
L["Reset"] = "重置"
L["ResetDescription"] = "重設主視窗的位置和外觀。"
L["ClearSlash"] = "清空"
L["ClearSlashDescription"] = "清空已經偵測到的玩家清單。"
L["Config"] = "設定"
L["ConfigDescription"] = "開啟介面 > 插件中的 Spy 設定選項。"
L["KOS"] = "即殺"
L["KOSDescription"] = "從即殺清單加入/移除玩家。"
L["Ignore"] = "忽略"
L["IgnoreDescription"] = "從忽略清單加入/移除玩家。"

-- Lists
L["Nearby"] = "附近"
L["LastHour"] = "最近"
L["Ignore"] = "忽略"
L["KillOnSight"] = "即殺"

--Stats
--L["Last"] = "Last"
L["Time"] = "時間"	
L["List"] = "清單"	
L["Show Only"] = "只顯示"
L["Won/Lost"] = "勝/敗"
L["Reason"] = "原因"	  
L["HonorKills"] = "榮譽擊殺"
L["PvPDeatchs"] = "PvP 死亡"

-- Output messages
L["AlertStealthTitle"] = "偵測到隱形玩家!"
L["AlertKOSTitle"] = "偵測到即殺玩家!"
L["AlertKOSGuildTitle"] = "偵測到公會即殺玩家!"
L["AlertTitle_kosaway"] = "發現即殺玩家的位置，由 "
L["AlertTitle_kosguildaway"] = "發現公會即殺玩家的位置，由 "
L["StealthWarning"] = "|cff9933ff偵測到隱形玩家：|cffffffff"
L["KOSWarning"] = "|cffff0000偵測到即殺玩家：|cffffffff"
L["KOSGuildWarning"] = "|cffff0000偵測到公會即殺玩家：|cffffffff"
L["SpySignatureColored"] = "|cff9933ff[Spy] "
L["PlayerDetectedColored"] = "偵測到玩家：|cffffffff"
L["PlayersDetectedColored"] = "偵測到玩家：|cffffffff"
L["KillOnSightDetectedColored"] = "偵測到即殺玩家：|cffffffff"
L["PlayerAddedToIgnoreColored"] = "玩家加入到忽略清單：|cffffffff"
L["PlayerRemovedFromIgnoreColored"] = "從忽略清單移除玩家：|cffffffff"
L["PlayerAddedToKOSColored"] = "玩家加入到即殺清單：|cffffffff"
L["PlayerRemovedFromKOSColored"] = "從即殺清單移除玩家：|cffffffff"
L["PlayerDetected"] = "[Spy] 偵測到玩家："
L["KillOnSightDetected"] = "[Spy] 偵測到即殺玩家："
L["Level"] = "等級"
L["LastSeen"] = "上次遇到"
L["LessThanOneMinuteAgo"] = "小於 1 分鐘前"
L["MinutesAgo"] = "分鐘前"
L["HoursAgo"] = "小時前"
L["DaysAgo"] = "天前"
L["Close"] = "關閉"
L["CloseDescription"] = "|cffffffff隱藏 Spy 主視窗。預設下次偵測到敵方玩家時會再次顯示。."
L["Left/Right"] = "左 / 右"
L["Left/RightDescription"] = "|cffffffff切換顯示附近、最近、忽略和即殺清單。"
L["Clear"] = "清空"
L["ClearDescription"] = "|cffffffff清空已經偵測到的玩家清單。顯示時 CTRL+左鍵點擊會啟用/停用 Spy。"
L["NearbyCount"] = "附近數量"
L["NearbyCountDescription"] = "|cffffffff附近球员的数量。"
L["Statistics"] = "統計資料" 
L["StatsDescription"] = "|cffffffff顯示遇過的敵方玩家、勝/敗記錄和上次在哪遇到的清單。"
L["AddToIgnoreList"] = "加入忽略清單"
L["AddToKOSList"] = "加入即殺清單"
L["RemoveFromIgnoreList"] = "從忽略清單移除"
L["RemoveFromKOSList"] = "從即殺清單移除"
L["RemoveFromStatsList"] = "從統計列表中刪除"   --++
L["AnnounceDropDownMenu"] = "通報"
L["KOSReasonDropDownMenu"] = "設定即殺原因"
L["PartyDropDownMenu"] = "隊伍"
L["RaidDropDownMenu"] = "團隊"
L["GuildDropDownMenu"] = "公會"
L["LocalDefenseDropDownMenu"] = "本地防務"
L["Player"] = " (玩家)"
L["KOSReason"] = "即殺"
L["KOSReasonIndent"] = "    "
L["KOSReasonOther"] = "自行輸入原因..."
L["KOSReasonClear"] = "清空"
L["StatsWins"] = "|cff40ff00勝："
L["StatsSeparator"] = "  "
L["StatsLoses"] = "|cff0070dd敗："
L["Located"] = "位置:"
L["Yards"] = "碼"

Spy_KOSReasonListLength = 6
Spy_KOSReasonList = {
	[1] = {
		["title"] = "主動攻擊";
		["content"] = {
			"毫無理由攻擊我",
			"接任務時攻擊我", 
			"在鳥點攻擊我",
			"在副本入口攻擊我",
			"我 AFK 暫離時攻擊我",
			"我在趕路/飛行時攻擊我",
			"我的血量/法力很低時攻擊我",
		};
	},
	[2] = {
		["title"] = "戰鬥風格";
		["content"] = {
			"偷襲我",
			"總是讓我看到他再殺我",
			"使用高等級角色殺我",
			"和一群敵人一起輾壓我",
			"沒有人支援時不會攻擊",
			"老是向外求援",
			"使用超多控場技",
		};
	},
	[3] = {
		["title"] = "守屍守點";
		["content"] = {
			"守我屍體",
			"守我分身",
			"守低等級的必取",
			"會隱形來守點",
			"和公會成員一起守點",
			"守遊戲的 NPC/任務點",
			"守城市/村莊",
		};
	},
	[4] = {
		["title"] = "妨礙任務";
		["content"] = {
			"正在解任務時攻擊我",
			"幫忙解任務後攻擊我",
			"擾亂任務目標",
			"搶我的任務",
			"殺死我方陣營的 NPC",
			"殺死任務 NPC",
		};
	},
	[5] = {
		["title"] = "偷搶資源";
		["content"] = {
			"搶我的草",
			"搶我的礦",
			"搶我的資源",
			"殺死我然後搶走我的目標/稀有怪",
			"殺死我要殺的怪",
			"搶走我要殺的怪",
			"搶我的魚點",
		};
	},
	[6] = {
		["title"] = "其他";
		["content"] = {
			"就愛殺人",
			"把我推下懸崖",
			"使用工程學道具",
			"總是落跑",
			"使用物品或技能落跑",
			"濫用遊戲機制",
			"自行輸入原因...",
		};
	},
}

StaticPopupDialogs["Spy_SetKOSReasonOther"] = {
	preferredIndex=STATICPOPUPS_NUMDIALOGS,  -- http://forums.wowace.com/showthread.php?p=320956
	text = "輸入 %s 的即殺原因:",
	button1 = "設定",
	button2 = "取消",
	timeout = 20,
	hasEditBox = 1,
	whileDead = 1,
	hideOnEscape = 1,
	OnShow = function(self)
		self.editBox:SetText("");
	end,
    	OnAccept = function(self)
		local reason = self.editBox:GetText()
		Spy:SetKOSReason(self.playerName, "自行輸入原因...", reason)
	end,
};

--++ Class descriptions
L["DEATHKNIGHT"] = "死亡騎士"
L["DEMONHUNTER"] = "惡魔獵人"
L["DRUID"] = "德魯伊"
L["HUNTER"] = "獵人"
L["MAGE"] = "法師"
L["MONK"] = "武僧"
L["PALADIN"] = "聖騎士"
L["PRIEST"] = "牧師"
L["ROGUE"] = "盜賊"
L["SHAMAN"] = "薩滿"
L["WARLOCK"] = "術士"
L["WARRIOR"] = "戰士"
L["UNKNOWN"] = "未知"

--++ Race descriptions
L["BLOOD ELF"] = "血精靈"
L["DRAENEI"] = "德萊尼"
L["DWARF"] = "矮人"
L["GOBLIN"] = "哥布林"
L["GNOME"] = "地精"
L["HUMAN"] = "人類"
L["NIGHT ELF"] = "夜精靈"
L["ORC"] = "獸人"
L["PANDAREN"] = "熊貓人"
L["TAUREN"] = "牛頭人"
L["TROLL"] = "食人妖"
L["UNDEAD"] = "不死族"
L["WORGEN"] = "狼人"
L["VOID ELF"] = "虛無精靈"
L["LIGHTFORGED DRAENEI"] = "光鑄德萊尼"
L["DARK IRON DWARF"] = "黑鐵矮人"
L["KUL TIRAN HUMANS"] = "庫爾提拉斯人"
L["NIGHTBORNE"] = "夜裔精靈"
L["HIGHMOUNTAIN TAUREN"] = "高嶺牛頭人"
L["ZANDALARI TROLL"] = "贊達拉食人妖"
L["MAG'HAR ORC"] = "瑪格哈獸人"

--++ Font descriptions
L["2002"] = "2002"
L["2002 BOLD"] = "2002 Bold"
L["ARIAL NARROW"] = "Arial Narrow" -- default chat font
L["FRIZ QUADRATA TT"] = "Friz Quadrata TT" -- default main UI font
L["FRIZQUADRATACTT"] = "FrizQuadrataCTT"
L["MOK"] = "MoK"
L["MORPHEUS"] = "Morpheus" -- default in game mail font
L["NIMROD MT"] = "Nimrod MT"
L["SKURRI"] = "Skurri" -- default unit frame combat font
						
-- Stealth abilities
L["Stealth"] = "隱形"
L["Prowl"] = "潛行"

-- Channel names
L["LocalDefenseChannelName"] = "本地防務"

--++ Minimap color codes
L["MinimapClassTextDEATHKNIGHT"] = "|cffc41e3a"
L["MinimapClassTextDEMONHUNTER"] = "|cffa330c9"
L["MinimapClassTextDRUID"] = "|cffff7c0a"
L["MinimapClassTextHUNTER"] = "|cffaad372"
L["MinimapClassTextMAGE"] = "|cff68ccef"
L["MinimapClassTextMONK"] = "|cff00ff96"
L["MinimapClassTextPALADIN"] = "|cfff48cba"
L["MinimapClassTextPRIEST"] = "|cffffffff"
L["MinimapClassTextROGUE"] = "|cfffff468"
L["MinimapClassTextSHAMAN"] = "|cff2359ff"
L["MinimapClassTextWARLOCK"] = "|cff9382c9"
L["MinimapClassTextWARRIOR"] = "|cffc69b6d"
L["MinimapClassTextUNKNOWN"] = "|cff191919"
L["MinimapGuildText"] = "|cffffffff"

Spy_AbilityList = {

-----------------------------------------------------------
-- Allows an estimation of the race, class and level of a
-- player to be determined from what abilities are observed
-- in the combat log.
-----------------------------------------------------------

--++ Racials ++
	["石像形態"] = 				{ race = "Dwarf", level = 1, },
	["逃命專家"] = 				{ race = "Gnome", level = 1, },
	["人人為己"] = 				{ race = "Human", level = 1, },
	["影遁"] = 					{ race = "Night Elf", level = 1, },
	["那魯的祝福"] = 			{ race = "Draenei", level = 1, },
	["暗月疾奔"] = 				{ race = "Worgen", level = 1, },
	["雙重形態"] = 				{ race = "Worgen", level = 1, },
	["野性奔跑"] = 				{ race = "Worgen", level = 1, },
	["血之烈怒"] = 				{ race = "Orc", level = 1, },
	["戰爭踐踏"] = 				{ race = "Tauren", level = 1, },
	["狂暴"] = 					{ race = "Troll", level = 1, },
	["亡靈意志"] = 				{ race = "Undead", level = 1, },
	["食屍"] = 					{ race = "Undead", level = 1, },
	["奧流之術"] = 				{ race = "Blood Elf", level = 1, },
	["火箭跳躍"] = 				{ race = "Goblin", level = 1, },
	["火箭彈"] = 				{ race = "Goblin", level = 1, },
	["攜帶大哥布林"] = 			{ race = "Goblin", level = 1, },
	["震動掌"] =					{ race = "Pandaren", level = 1, },

--++ Death Knight Abilities ++
--	["冰霜吐息"] = { class = "DEATHKNIGHT", level = 1, }, 
	["瓦格里"] = { class = "DEATHKNIGHT", level = 1, }, 
--	["招架"] = { class = "DEATHKNIGHT", level = 1, }, 
	["邪爆"] = { class = "DEATHKNIGHT", level = 40, }, 
	["血之疫病"] = { class = "DEATHKNIGHT", level = 55, }, 
	["黑锋之门"] = { class = "DEATHKNIGHT", level = 55, }, 
	["死亡之握"] = { class = "DEATHKNIGHT", level = 55, }, 
	["灵界打击"] = { class = "DEATHKNIGHT", level = 55, }, 
	["死亡脚步"] = { class = "DEATHKNIGHT", level = 55, }, 
	["冰锋符文"] = { class = "DEATHKNIGHT", level = 55, }, 
	["符文熔铸"] = { class = "DEATHKNIGHT", level = 55, }, 
	["反魔法护罩"] = { class = "DEATHKNIGHT", level = 57, }, 
	["黑暗命令"] = { class = "DEATHKNIGHT", level = 58, }, 
	["死神降临"] = { class = "DEATHKNIGHT", level = 61, }, 
	["心灵冰冻"] = { class = "DEATHKNIGHT", level = 62, }, 
	["冰霜之路"] = { class = "DEATHKNIGHT", level = 66, }, 
	["控制亡灵"] = { class = "DEATHKNIGHT", level = 69, }, 
	["堕落十字军符文"] = { class = "DEATHKNIGHT", level = 70, }, 
	["复活盟友"] = { class = "DEATHKNIGHT", level = 72, }, 
	["石肤石像鬼符文"] = { class = "DEATHKNIGHT", level = 72, }, 
--++ Death Knight Artifact Traits ++
	["天啟"] = { class = "DEATHKNIGHT", level = 100, }, 
	["吞噬"] = { class = "DEATHKNIGHT", level = 100, }, 
	["辛德拉苟莎之怒"] = { class = "DEATHKNIGHT", level = 100, }, 	
--++ Death Knight Azerite Traits ++	
	["天灾领主之刺"] = { class = "DEATHKNIGHT", level = 110, }, 
	["诅咒之骨"] = { class = "DEATHKNIGHT", level = 110, }, 
	["溃疡伤口"] = { class = "DEATHKNIGHT", level = 110, }, 
	["残杀"] = { class = "DEATHKNIGHT", level = 110, }, 
	["深可见骨"] = { class = "DEATHKNIGHT", level = 110, }, 
	["凛风怒号"] = { class = "DEATHKNIGHT", level = 110, }, 
--	["黑暗堕落者之拥"] = { class = "DEATHKNIGHT", level = 110, }, 
	["永恒符文武器"] = { class = "DEATHKNIGHT", level = 110, }, 
--	["脓疮厄运"] = { class = "DEATHKNIGHT", level = 110, }, 
	["溃烂之力"] = { class = "DEATHKNIGHT", level = 110, }, 
	["寒冰暴雨"] = { class = "DEATHKNIGHT", level = 110, }, 
--	["冰冷蔓延"] = { class = "DEATHKNIGHT", level = 110, }, 
	["苦痛衰败"] = { class = "DEATHKNIGHT", level = 110, }, 
--	["恶臭排放"] = { class = "DEATHKNIGHT", level = 110, }, 
	["冰霜堡垒"] = { class = "DEATHKNIGHT", level = 110, }, 
	["杀戮之冰"] = { class = "DEATHKNIGHT", level = 110, }, 
	["最后的惊喜"] = { class = "DEATHKNIGHT", level = 110, }, 
	["潜藏冰冷"] = { class = "DEATHKNIGHT", level = 110, }, 
	["诅咒进军"] = { class = "DEATHKNIGHT", level = 110, }, 
	["血之精髓"] = { class = "DEATHKNIGHT", level = 110, }, 
	["符文屏障"] = { class = "DEATHKNIGHT", level = 110, }, 
	["无信者之灾"] = { class = "DEATHKNIGHT", level = 110, }, 
	["染血符文剑"] = { class = "DEATHKNIGHT", level = 110, }, --8.1
	["冰冷的心"] = { class = "DEATHKNIGHT", level = 110, },  --8.1
	["冰霜雏龙之怒"] = { class = "DEATHKNIGHT", level = 110, }, --8.1
	["冥狱锁链"] = { class = "DEATHKNIGHT", level = 110, }, --8.1
	["亡者魔导师"] = { class = "DEATHKNIGHT", level = 110, }, --8.1
	--++ Death Knight Specializations ++	
	["符文强化"] = { class = "DEATHKNIGHT", level = 1, }, 
	["溃烂之伤"] = { class = "DEATHKNIGHT", level = 1, }, 
	["心脏打击"] = { class = "DEATHKNIGHT", level = 1, }, 
	["符文腐蚀"] = { class = "DEATHKNIGHT", level = 1, }, 
	["凋零缠绕"] = { class = "DEATHKNIGHT", level = 55, }, 
	["脓疮打击"] = { class = "DEATHKNIGHT", level = 55, }, 
	["冰霜疫病"] = { class = "DEATHKNIGHT", level = 55, }, 
	["冰霜打击"] = { class = "DEATHKNIGHT", level = 55, }, 
	["凛风冲击"] = { class = "DEATHKNIGHT", level = 55, }, 
	["骨髓分裂"] = { class = "DEATHKNIGHT", level = 55, }, 
	["湮灭"] = { class = "DEATHKNIGHT", level = 55, }, 
	["爆发"] = { class = "DEATHKNIGHT", level = 55, }, 
	["亡者复生"] = { class = "DEATHKNIGHT", level = 55, }, 
	["天灾打击"] = { class = "DEATHKNIGHT", level = 55, }, 
	["战争精英"] = { class = "DEATHKNIGHT", level = 55, }, 
	["血液沸腾"] = { class = "DEATHKNIGHT", level = 56, }, 
	["寒冰锁链"] = { class = "DEATHKNIGHT", level = 56, }, 
	["枯萎凋零"] = { class = "DEATHKNIGHT", level = 56, }, 
	["杀戮机器"] = { class = "DEATHKNIGHT", level = 56, }, 
	["符文刃舞"] = { class = "DEATHKNIGHT", level = 57, }, 
	["符文武器增效"] = { class = "DEATHKNIGHT", level = 57, }, 
	["冰封之韧"] = { class = "DEATHKNIGHT", level = 57, }, 
	["冰霜之柱"] = { class = "DEATHKNIGHT", level = 57, }, 
	["冷酷严冬"] = { class = "DEATHKNIGHT", level = 57, }, 
	["黑暗援助"] = { class = "DEATHKNIGHT", level = 58, }, 
	["死神的抚摩"] = { class = "DEATHKNIGHT", level = 58, }, 
	["白霜"] = { class = "DEATHKNIGHT", level = 59, }, 
	["末日突降"] = { class = "DEATHKNIGHT", level = 60, }, 
	["吸血鬼之血"] = { class = "DEATHKNIGHT", level = 60, }, 
	["赤色天灾"] = { class = "DEATHKNIGHT", level = 63, }, 
	["血魔之握"] = { class = "DEATHKNIGHT", level = 64, }, 
	["黑暗突变"] = { class = "DEATHKNIGHT", level = 74, }, 
	["天启"] = { class = "DEATHKNIGHT", level = 75, }, 
	["精通：鲜血护盾"] = { class = "DEATHKNIGHT", level = 78, }, 
	["精通：恐惧之刃"] = { class = "DEATHKNIGHT", level = 78, }, 
	["精通：冰冷之心"] = { class = "DEATHKNIGHT", level = 78, }, 
	["亡者大军"] = { class = "DEATHKNIGHT", level = 82, }, 
--++ Death Knight Talents ++	
	["万物臣服"] = { class = "DEATHKNIGHT", level = 56, }, 
	["饮血者"] = { class = "DEATHKNIGHT", level = 56, }, 
	["暗影之爪"] = { class = "DEATHKNIGHT", level = 56, }, 
	["冷酷之心"] = { class = "DEATHKNIGHT", level = 56, }, 
	["碎心打击"] = { class = "DEATHKNIGHT", level = 56, }, 
	["冰冷之爪"] = { class = "DEATHKNIGHT", level = 56, }, 
	["酷寒突袭"] = { class = "DEATHKNIGHT", level = 56, }, 
	["感染之爪"] = { class = "DEATHKNIGHT", level = 56, }, 
	["符文打击"] = { class = "DEATHKNIGHT", level = 56, }, 
	["爆裂之疡"] = { class = "DEATHKNIGHT", level = 57, }, 
	["吞噬"] = { class = "DEATHKNIGHT", level = 57, }, 
	["黑死病"] = { class = "DEATHKNIGHT", level = 57, }, 
	["鲜血禁闭"] = { class = "DEATHKNIGHT", level = 57, }, 
	["寒冬号角"] = { class = "DEATHKNIGHT", level = 57, }, 
	["杀戮效率"] = { class = "DEATHKNIGHT", level = 57, }, 
	["迅速凋零"] = { class = "DEATHKNIGHT", level = 57, }, 
	["符文调谐"] = { class = "DEATHKNIGHT", level = 57, }, 
	["邪恶虫群"] = { class = "DEATHKNIGHT", level = 57, }, 
	["窒息"] = { class = "DEATHKNIGHT", level = 58, }, 
	["致盲冰雨"] = { class = "DEATHKNIGHT", level = 58, }, 
	["死亡延伸"] = { class = "DEATHKNIGHT", level = 58, }, 
	["腐烂壁垒"] = { class = "DEATHKNIGHT", level = 58, }, 
	["埋骨之所"] = { class = "DEATHKNIGHT", level = 58, }, 
	["墓石"] = { class = "DEATHKNIGHT", level = 58, }, 
	["反魔法屏障"] = { class = "DEATHKNIGHT", level = 60, }, 
	["雪崩"] = { class = "DEATHKNIGHT", level = 60, }, 
	["冰霜之镰"] = { class = "DEATHKNIGHT", level = 60, }, 
	["冰霜脉冲"] = { class = "DEATHKNIGHT", level = 60, }, 
	["末日使者"] = { class = "DEATHKNIGHT", level = 60, }, 
	["脓疮传染"] = { class = "DEATHKNIGHT", level = 60, }, 
	["符文分流"] = { class = "DEATHKNIGHT", level = 60, }, 
	["灵魂收割"] = { class = "DEATHKNIGHT", level = 60, }, 
	["浮空城意志"] = { class = "DEATHKNIGHT", level = 60, }, 
	["天灾契约"] = { class = "DEATHKNIGHT", level = 75, }, 
	["亡者之握"] = { class = "DEATHKNIGHT", level = 75, }, 
	["永冻"] = { class = "DEATHKNIGHT", level = 75, }, 
	["噬法者"] = { class = "DEATHKNIGHT", level = 75, }, 
	["紧绷之握"] = { class = "DEATHKNIGHT", level = 75, }, 
	["幻影步"] = { class = "DEATHKNIGHT", level = 75, }, 
	["血虫"] = { class = "DEATHKNIGHT", level = 90, }, 
	["亵渎"] = { class = "DEATHKNIGHT", level = 90, }, 
	["传染"] = { class = "DEATHKNIGHT", level = 90, }, 
	["冰霜巨龙之怒"] = { class = "DEATHKNIGHT", level = 90, }, 
--	["风暴汇聚"] = { class = "DEATHKNIGHT", level = 90, }, 
	["冰川突进"] = { class = "DEATHKNIGHT", level = 90, }, 
	["鲜血印记"] = { class = "DEATHKNIGHT", level = 90, }, 
	["疫病"] = { class = "DEATHKNIGHT", level = 90, }, 
	["饮血"] = { class = "DEATHKNIGHT", level = 90, }, 
	["诅咒大军"] = { class = "DEATHKNIGHT", level = 100, }, 
	["白骨风暴"] = { class = "DEATHKNIGHT", level = 100, }, 
	["冰龙吐息"] = { class = "DEATHKNIGHT", level = 100, }, 
	["冰盖"] = { class = "DEATHKNIGHT", level = 100, }, 
	["湮没"] = { class = "DEATHKNIGHT", level = 100, }, 
	["炼狱"] = { class = "DEATHKNIGHT", level = 100, }, 
	["赤红渴望"] = { class = "DEATHKNIGHT", level = 100, }, 
	["召唤石像鬼"] = { class = "DEATHKNIGHT", level = 100, }, 
	["邪恶狂乱"] = { class = "DEATHKNIGHT", level = 100, }, 
--++ Death Knight PvP Talents ++	
	["反魔法领域"] = { class = "DEATHKNIGHT", level = 57, }, 
	["血债血偿"] = { class = "DEATHKNIGHT", level = 57, }, 
	["墓穴疫病"] = { class = "DEATHKNIGHT", level = 57, }, 
	["寒冬死神"] = { class = "DEATHKNIGHT", level = 57, }, 	-- 8.1
	["死亡之寒"] = { class = "DEATHKNIGHT", level = 57, }, 
	["神智不清"] = { class = "DEATHKNIGHT", level = 57, }, 
--	["严寒中心"] = { class = "DEATHKNIGHT", level = 57, }, 
	["食尸畸兽"] = { class = "DEATHKNIGHT", level = 57, }, 
	["最终之舞"] = { class = "DEATHKNIGHT", level = 57, }, 
	["巫妖之躯"] = { class = "DEATHKNIGHT", level = 57, }, 	--8.1
	["生死攸关"] = { class = "DEATHKNIGHT", level = 57, }, 	--8.1
	["杀戮意图"] = { class = "DEATHKNIGHT", level = 57, }, 
	["强能符文武器"] = { class = "DEATHKNIGHT", level = 57, }, 
	["恶疾"] = { class = "DEATHKNIGHT", level = 57, }, 
	["复活"] = { class = "DEATHKNIGHT", level = 57, }, 
	["冻土行者"] = { class = "DEATHKNIGHT", level = 57, }, 
	["邪恶命令"] = { class = "DEATHKNIGHT", level = 57, }, 
	["邪恶畸变"] = { class = "DEATHKNIGHT", level = 57, }, 
	["行尸走肉"] = { class = "DEATHKNIGHT", level = 57, }, 
	["游荡疫病"] = { class = "DEATHKNIGHT", level = 57, }, 
	["死亡锁链"] = { class = "DEATHKNIGHT", level = 57, }, 
	["寒冰联结"] = { class = "DEATHKNIGHT", level = 57, }, 
	["窒息"] = { class = "DEATHKNIGHT", level = 57, }, 
	["死亡苍白"] = { class = "DEATHKNIGHT", level = 57, }, 
	["腐烂光环"] = { class = "DEATHKNIGHT", level = 57, }, 
	["抑心光环"] = { class = "DEATHKNIGHT", level = 57, }, 
	["死灵光环"] = { class = "DEATHKNIGHT", level = 57, }, 
	["死疽打击"] = { class = "DEATHKNIGHT", level = 57, }, 
	["黑暗模拟"] = { class = "DEATHKNIGHT", level = 57, }, 
	["通灵师的交易"] = { class = "DEATHKNIGHT", level = 57, }, 	--8.1
	["培育憎恶"] = { class = "DEATHKNIGHT", level = 57, },  --8.1
	["鲜血灌注"] = { class = "DEATHKNIGHT", level = 57, },  --8.1
	--++ Demon Hunter Abilities ++	
	["瓦解"] = { class = "DEMONHUNTER", level = 1, }, 
	["混乱打击"] = { class = "DEMONHUNTER", level = 98, }, 
	["二段跳"] = { class = "DEMONHUNTER", level = 98, }, 
	["眼棱"] = { class = "DEMONHUNTER", level = 98, }, 
	["邪能冲撞"] = { class = "DEMONHUNTER", level = 98, }, 
	["滑翔"] = { class = "DEMONHUNTER", level = 98, }, 
	["幽灵视觉"] = { class = "DEMONHUNTER", level = 98, }, 
	["投掷利刃"] = { class = "DEMONHUNTER", level = 98, }, 
	["恶魔变形"] = { class = "DEMONHUNTER", level = 99, }, 
	["刃舞"] = { class = "DEMONHUNTER", level = 100, }, 
	["疾影"] = { class = "DEMONHUNTER", level = 100, }, 
	["混乱新星"] = { class = "DEMONHUNTER", level = 100, }, 
	["禁锢"] = { class = "DEMONHUNTER", level = 100, }, 
	["灵魂切削"] = { class = "DEMONHUNTER", level = 100, }, 
	["复仇回避"] = { class = "DEMONHUNTER", level = 100, }, 
	["吞噬魔法"] = { class = "DEMONHUNTER", level = 103, }, 
--++ Demon Hunter Artifact Traits ++
	["伊利達瑞怒火"] = { class = "DEMONHUNTER", level = 100, },
	["靈魂屠夫"] = { class = "DEMONHUNTER", level = 100, }, 	
--++ Demon Hunter Azerite Traits ++	
	["咒符之环"] = { class = "DEMONHUNTER", level = 110, }, 
	["精华割裂"] = { class = "DEMONHUNTER", level = 110, }, 
	["狂怒之眼"] = { class = "DEMONHUNTER", level = 110, }, 
	["狂怒凝视"] = { class = "DEMONHUNTER", level = 110, }, 
--	["血盆大口"] = { class = "DEMONHUNTER", level = 110, }, 
	["地狱火护甲"] = { class = "DEMONHUNTER", level = 110, }, 
	["痛苦狂欢"] = { class = "DEMONHUNTER", level = 110, }, 
	["旋转之刃"] = { class = "DEMONHUNTER", level = 110, }, 
	["刚硬甲壳"] = { class = "DEMONHUNTER", level = 110, }, 
	["沸腾之力"] = { class = "DEMONHUNTER", level = 110, }, 
	["贩卖灵魂"] = { class = "DEMONHUNTER", level = 110, }, 
	["嗜血之刃"] = { class = "DEMONHUNTER", level = 110, }, 
--	["释放混沌"] = { class = "DEMONHUNTER", level = 110, }, 
	["混沌变身"] = { class = "DEMONHUNTER", level = 110, },  -- 8.1
	["收割之刻"] = { class = "DEMONHUNTER", level = 110, },  -- 8.1
	["乱战主宰"] = { class = "DEMONHUNTER", level = 110, },  -- 8.1	
--++ Demon Hunter Specializations ++	
	["恶魔尖刺"] = { class = "DEMONHUNTER", level = 1, }, 
	["恶魔结界"] = { class = "DEMONHUNTER", level = 1, }, 
	["烈火烙印"] = { class = "DEMONHUNTER", level = 1, }, 
	["精通：邪能之血"] = { class = "DEMONHUNTER", level = 1, }, 
	["裂魂"] = { class = "DEMONHUNTER", level = 1, }, 
	["烈焰咒符"] = { class = "DEMONHUNTER", level = 1, }, 
	["灵魂裂劈"] = { class = "DEMONHUNTER", level = 1, }, 
	["恶魔之咬"] = { class = "DEMONHUNTER", level = 98, }, 
	["精通：恶魔形态"] = { class = "DEMONHUNTER", level = 98, }, 
	["破碎灵魂"] = { class = "DEMONHUNTER", level = 98, }, 
	["混乱烙印"] = { class = "DEMONHUNTER", level = 100, }, 
	["幻影打击"] = { class = "DEMONHUNTER", level = 100, }, 
	["地狱火撞击"] = { class = "DEMONHUNTER", level = 100, }, 
	["沉默咒符"] = { class = "DEMONHUNTER", level = 101, }, 
	["悲苦咒符"] = { class = "DEMONHUNTER", level = 105, }, 
	["折磨"] = { class = "DEMONHUNTER", level = 110, }, 
--++ Demon Hunter Talents ++	
	["深渊打击"] = { class = "DEMONHUNTER", level = 99, }, 
	["苦痛之焰"] = { class = "DEMONHUNTER", level = 99, }, 
	["盲目之怒"] = { class = "DEMONHUNTER", level = 99, }, 
	["恶魔食欲"] = { class = "DEMONHUNTER", level = 99, }, 
	["邪能之刃"] = { class = "DEMONHUNTER", level = 99, }, 
	["锋锐之刺"] = { class = "DEMONHUNTER", level = 99, }, 
	["火刑"] = { class = "DEMONHUNTER", level = 100, }, 
	["恶魔之刃"] = { class = "DEMONHUNTER", level = 100, }, 
	["爆燃"] = { class = "DEMONHUNTER", level = 100, }, 
	["灵魂盛宴"] = { class = "DEMONHUNTER", level = 100, }, 
	["献祭光环"] = { class = "DEMONHUNTER", level = 100, }, 
	["饥肠辘辘"] = { class = "DEMONHUNTER", level = 100, }, 
	["血肉灰烬"] = { class = "DEMONHUNTER", level = 102, }, 
	["邪能弹幕"] = { class = "DEMONHUNTER", level = 102, }, 
	["邪能精通"] = { class = "DEMONHUNTER", level = 102, }, 
	["烈焰冲撞"] = { class = "DEMONHUNTER", level = 102, }, 
	["毁灭之痕"] = { class = "DEMONHUNTER", level = 102, }, 
	["绝望本能"] = { class = "DEMONHUNTER", level = 104, }, 
	["喂食恶魔"] = { class = "DEMONHUNTER", level = 104, }, 
	["破裂"] = { class = "DEMONHUNTER", level = 104, }, 
	["虚空行走"] = { class = "DEMONHUNTER", level = 104, }, 
	["裂魂"] = { class = "DEMONHUNTER", level = 104, }, 
	["集结咒符"] = { class = "DEMONHUNTER", level = 106, }, 
	["仇恨之轮"] = { class = "DEMONHUNTER", level = 106, }, 
	["黑暗鞭笞"] = { class = "DEMONHUNTER", level = 106, }, 
	["第一滴血"] = { class = "DEMONHUNTER", level = 106, }, 
	["快速咒符"] = { class = "DEMONHUNTER", level = 106, }, 
	["锁链咒符"] = { class = "DEMONHUNTER", level = 106, }, 
	["邪能毁灭"] = { class = "DEMONHUNTER", level = 108, }, 
	["邪能爆发"] = { class = "DEMONHUNTER", level = 108, }, 
	["贪吃魔"] = { class = "DEMONHUNTER", level = 108, }, 
	["战刃大师"] = { class = "DEMONHUNTER", level = 108, }, 
	["幽魂炸弹"] = { class = "DEMONHUNTER", level = 108, }, 
	["释放力量"] = { class = "DEMONHUNTER", level = 108, }, 
	["魔化"] = { class = "DEMONHUNTER", level = 110, }, 
	["最后一搏"] = { class = "DEMONHUNTER", level = 110, }, 
	["势如破竹"] = { class = "DEMONHUNTER", level = 110, }, 
	["涅墨西斯"] = { class = "DEMONHUNTER", level = 110, }, 
	["灵魂壁障"] = { class = "DEMONHUNTER", level = 110, }, 
	["虚空掠夺者"] = { class = "DEMONHUNTER", level = 110, }, 
--++ Demon Hunter PvP Talents ++	
	["烈焰净化"] = { class = "DEMONHUNTER", level = 101, }, 
	["黑暗遮蔽"] = { class = "DEMONHUNTER", level = 101, }, 
	["恶魔起源"] = { class = "DEMONHUNTER", level = 101, }, 
	["恶魔践踏"] = { class = "DEMONHUNTER", level = 101, }, 
	["拘押"] = { class = "DEMONHUNTER", level = 101, }, 
	["无尽猎杀"] = { class = "DEMONHUNTER", level = 101, }, 
	["转瞬即逝"] = { class = "DEMONHUNTER", level = 101, }, 
	["伊利丹之握"] = { class = "DEMONHUNTER", level = 101, }, 
	["锯齿尖刺"] = { class = "DEMONHUNTER", level = 101, }, 
	["法力灼烧"] = { class = "DEMONHUNTER", level = 101, }, 
	["法力裂隙"] = { class = "DEMONHUNTER", level = 101, }, 
	["从天而降"] = { class = "DEMONHUNTER", level = 101, }, 
	["反转魔法"] = { class = "DEMONHUNTER", level = 101, }, 
	["咒符掌握"] = { class = "DEMONHUNTER", level = 101, }, 
	["命源"] = { class = "DEMONHUNTER", level = 101, }, 
	["酷刑折磨"] = { class = "DEMONHUNTER", level = 101, }, 
	["无尽愤怒"] = { class = "DEMONHUNTER", level = 101, }, 
	["莱欧瑟拉斯之眼"] = { class = "DEMONHUNTER", level = 101, }, 
--++ Druid Abilities ++	
	["大德鲁伊的月翼形态"] = { class = "DRUID", level = 1, }, 
	["沉睡者之怒"] = { class = "DRUID", level = 1, }, 
	["月火术"] = { class = "DRUID", level = 3, }, 
	["愈合"] = { class = "DRUID", level = 5, }, 
	["豹之优雅"] = { class = "DRUID", level = 6, }, 
	["猎豹形态"] = { class = "DRUID", level = 8, }, 
--	["急奔"] = { class = "DRUID", level = 8, }, 
	["撕碎"] = { class = "DRUID", level = 8, }, 
	["节能施法"] = { class = "DRUID", level = 10, }, 
	["暴怒重殴"] = { class = "DRUID", level = 10, }, 
	["裂伤"] = { class = "DRUID", level = 10, }, 
	["痛击"] = { class = "DRUID", level = 12, }, 
--	["低吼"] = { class = "DRUID", level = 13, }, 
	["梦境行者"] = { class = "DRUID", level = 14, }, 
	["起死回生"] = { class = "DRUID", level = 14, }, 
	["传送：月光林地"] = { class = "DRUID", level = 14, }, 
	["阳炎术"] = { class = "DRUID", level = 16, }, 
	["水栖形态"] = { class = "DRUID", level = 18, }, 
	["旅行形态"] = { class = "DRUID", level = 18, }, 
	["纠缠根须"] = { class = "DRUID", level = 24, }, 
	["魅惑林地生物"] = { class = "DRUID", level = 40, }, 
	["振翅"] = { class = "DRUID", level = 40, }, 
	["雄鹿形态"] = { class = "DRUID", level = 40, }, 
	["复生"] = { class = "DRUID", level = 42, }, 
	["飞行形态"] = { class = "DRUID", level = 58, }, 
	["休眠"] = { class = "DRUID", level = 66, }, 
--++ Druid Artifact Traits ++
	["亞夏曼之狂"] = { class = "DRUID", level = 100, },	
	["格哈尼爾的精華"] = { class = "DRUID", level = 100, }, 
	["新月"] = { class = "DRUID", level = 100, }, 
	["沉睡者之怒"] = { class = "DRUID", level = 100, },
--++ Druid Azerite Traits ++	
	["秋日之叶"] = { class = "DRUID", level = 110, }, 
	["血腥之雾"] = { class = "DRUID", level = 110, }, 
--	["粗糙树皮"] = { class = "DRUID", level = 110, }, 
	["破晓之阳"] = { class = "DRUID", level = 110, }, 
--	["蘑菇绽放"] = { class = "DRUID", level = 110, }, 
	["溶血回复"] = { class = "DRUID", level = 110, }, 
	["林地护理"] = { class = "DRUID", level = 110, }, 
	["守护者之怒"] = { class = "DRUID", level = 110, }, 
	["涌血裂伤"] = { class = "DRUID", level = 110, }, 
	["午时已到"] = { class = "DRUID", level = 110, }, 
	["钢铁之颚"] = { class = "DRUID", level = 110, }, 
	["层叠鬃毛"] = { class = "DRUID", level = 110, }, 
	["活跃精神"] = { class = "DRUID", level = 110, }, 
	["长夜"] = { class = "DRUID", level = 110, }, 
	["月光增效"] = { class = "DRUID", level = 110, }, 
	["月光弹片"] = { class = "DRUID", level = 110, }, 
	["精通本能"] = { class = "DRUID", level = 110, }, 
	["明月之力"] = { class = "DRUID", level = 110, }, 
--	["凶猛掠夺"] = { class = "DRUID", level = 110, }, 
	["快速生长"] = { class = "DRUID", level = 110, }, 
	["回春之息"] = { class = "DRUID", level = 110, }, 
--	["血之气息"] = { class = "DRUID", level = 111, }, 
--	["碎裂之怒"] = { class = "DRUID", level = 112, }, 
	["飞驰流星"] = { class = "DRUID", level = 110, }, 
--	["烈日之焰"] = { class = "DRUID", level = 110, }, 
	["扭曲之爪"] = { class = "DRUID", level = 110, }, 
	["乌索尔的坚韧"] = { class = "DRUID", level = 110, }, 
	["梦境初醒"] = { class = "DRUID", level = 110, }, 
	["狂野撕裂"] = { class = "DRUID", level = 110, }, 
	["奥能脉冲星"] = { class = "DRUID", level = 110, },  -- 8.1	
	["野蛮暴烈"] = { class = "DRUID", level = 110, },  -- 8.1	
	["早收"] = { class = "DRUID", level = 110, },  -- 8.1
	["丛林之怒"] = { class = "DRUID", level = 112, },  --8.1	
	["左右互搏"] = { class = "DRUID", level = 112, },  --8.1	
	["不羁野性"] = { class = "DRUID", level = 110, },  --8.1	
--++ Druid Specializations ++	
	["变形形态"] = { class = "DRUID", level = 1, }, 
	["阳炎之怒"] = { class = "DRUID", level = 1, }, 
	["星界能量"] = { class = "DRUID", level = 10, }, 
	["重殴"] = { class = "DRUID", level = 10, }, 
	["回春术"] = { class = "DRUID", level = 10, }, 
	["星涌术"] = { class = "DRUID", level = 10, }, 
	["强化"] = { class = "DRUID", level = 12, }, 
	["明月打击"] = { class = "DRUID", level = 12, }, 
	["斜掠"] = { class = "DRUID", level = 12, }, 
	["迅捷治愈"] = { class = "DRUID", level = 12, }, 
	["猛虎之怒"] = { class = "DRUID", level = 13, }, 
	["枭兽形态"] = { class = "DRUID", level = 16, }, 
--	["潜行"] = { class = "DRUID", level = 16, }, 
	["铁鬃"] = { class = "DRUID", level = 20, }, 
	["生命绽放"] = { class = "DRUID", level = 20, }, 
	["割裂"] = { class = "DRUID", level = 20, }, 
	["自然之愈"] = { class = "DRUID", level = 22, }, 
	["清除腐蚀"] = { class = "DRUID", level = 22, }, 
	["树皮术"] = { class = "DRUID", level = 26, }, 
	["夺魂咆哮"] = { class = "DRUID", level = 28, }, 
	["横扫"] = { class = "DRUID", level = 32, }, 
	["星界支配"] = { class = "DRUID", level = 34, }, 
	["豹之迅捷"] = { class = "DRUID", level = 34, }, 
--	["厚皮"] = { class = "DRUID", level = 34, }, 
	["伊瑟拉之赐"] = { class = "DRUID", level = 34, }, 
	["生存本能"] = { class = "DRUID", level = 36, }, 
	["狂暴"] = { class = "DRUID", level = 40, }, 
	["狂暴回复"] = { class = "DRUID", level = 40, }, 
	["星辰坠落"] = { class = "DRUID", level = 40, }, 
	["野性成长"] = { class = "DRUID", level = 40, }, 
	["超凡之盟"] = { class = "DRUID", level = 48, }, 
--	["淤血"] = { class = "DRUID", level = 48, }, 
	["清晰预兆"] = { class = "DRUID", level = 48, }, 
	["激活"] = { class = "DRUID", level = 50, }, 
	["狂奔怒吼"] = { class = "DRUID", level = 50, }, 
	["熊形态"] = { class = "DRUID", level = 52, }, 
	["感染伤口"] = { class = "DRUID", level = 54, }, 
	["铁木树皮"] = { class = "DRUID", level = 54, }, 
	["日月之蚀"] = { class = "DRUID", level = 60, }, 
	["安抚"] = { class = "DRUID", level = 60, }, 
	["割碎"] = { class = "DRUID", level = 63, }, 
	["乌索尔旋风"] = { class = "DRUID", level = 63, }, 
	["闪电反射"] = { class = "DRUID", level = 65, }, 
	["新生"] = { class = "DRUID", level = 66, }, 
	["百花齐放"] = { class = "DRUID", level = 70, }, 
	["迎头痛击"] = { class = "DRUID", level = 70, }, 
	["精通：相生"] = { class = "DRUID", level = 78, }, 
	["精通：自然守护者"] = { class = "DRUID", level = 78, }, 
	["精通：剃刀之爪"] = { class = "DRUID", level = 78, }, 
	["精通：星光"] = { class = "DRUID", level = 78, }, 
	["掠食者的迅捷"] = { class = "DRUID", level = 80, }, 
	["日光术"] = { class = "DRUID", level = 80, }, 
	["宁静"] = { class = "DRUID", level = 80, }, 
--++ Druid Talents ++	
	["丰饶"] = { class = "DRUID", level = 15, }, 
	["血性狂乱"] = { class = "DRUID", level = 15, }, 
	["血之气息"] = { class = "DRUID", level = 15, }, 
	["刺藤"] = { class = "DRUID", level = 15, }, 
	["鬃毛倒竖"] = { class = "DRUID", level = 15, }, 
	["塞纳里奥结界"] = { class = "DRUID", level = 15, }, 
	["自然之力"] = { class = "DRUID", level = 15, }, 
	["月之灵"] = { class = "DRUID", level = 15, }, 
	["自然平衡"] = { class = "DRUID", level = 15, }, 
	["掠食者"] = { class = "DRUID", level = 15, }, 
	["欣欣向荣"] = { class = "DRUID", level = 15, }, 
	["艾露恩的战士"] = { class = "DRUID", level = 15, }, 
	["破胆咆哮"] = { class = "DRUID", level = 30, }, 
	["甘霖"] = { class = "DRUID", level = 30, }, 
	["猛虎冲刺"] = { class = "DRUID", level = 30, }, 
	["野性冲锋"] = { class = "DRUID", level = 30, }, 
	["平衡亲和"] = { class = "DRUID", level = 45, }, 
	["野性亲和"] = { class = "DRUID", level = 45, }, 
	["守护亲和"] = { class = "DRUID", level = 45, }, 
	["恢复亲和"] = { class = "DRUID", level = 45, }, 
	["群体缠绕"] = { class = "DRUID", level = 60, }, 
	["蛮力猛击"] = { class = "DRUID", level = 60, }, 
	["台风"] = { class = "DRUID", level = 60, }, 
	["栽培"] = { class = "DRUID", level = 75, }, 
	["星河守护者"] = { class = "DRUID", level = 75, }, 
	["化身：艾露恩之眷"] = { class = "DRUID", level = 75, }, 
	["化身：乌索克的守护者"] = { class = "DRUID", level = 75, }, 
	["化身：丛林之王"] = { class = "DRUID", level = 75, }, 
	["化身：生命之树"] = { class = "DRUID", level = 75, }, 
	["锯齿创伤"] = { class = "DRUID", level = 75, }, 
	["丛林之魂"] = { class = "DRUID", level = 75, }, 
	["星辰领主"] = { class = "DRUID", level = 75, }, 
	["野蛮挥砍"] = { class = "DRUID", level = 90, }, 
	["大地守卫者"] = { class = "DRUID", level = 90, }, 
	["艾露恩的卫士"] = { class = "DRUID", level = 90, }, 
	["平常心"] = { class = "DRUID", level = 90, }, 
	["剑齿利刃"] = { class = "DRUID", level = 90, }, 
	["野蛮咆哮"] = { class = "DRUID", level = 90, }, 
	["血之气息"] = { class = "DRUID", level = 90, }, 	-- 8.1	
	["春暖花开"] = { class = "DRUID", level = 90, }, 
	["星辰漂流"] = { class = "DRUID", level = 90, }, 
	["星辰耀斑"] = { class = "DRUID", level = 90, }, 
	["石化树皮"] = { class = "DRUID", level = 90, }, 
	["优胜劣汰"] = { class = "DRUID", level = 90, }, 
	["双月"] = { class = "DRUID", level = 90, },
	["原始之怒"] = { class = "DRUID", level = 90, }, 	 --8.1		
	["血腥爪击"] = { class = "DRUID", level = 100, }, 
	["野性狂乱"] = { class = "DRUID", level = 100, }, 
	["繁盛"] = { class = "DRUID", level = 100, }, 
	["艾露恩之怒"] = { class = "DRUID", level = 100, }, 
	["萌芽"] = { class = "DRUID", level = 100, }, 
	["明月普照"] = { class = "DRUID", level = 100, }, 
	["洞察秋毫"] = { class = "DRUID", level = 100, }, 
	["新月"] = { class = "DRUID", level = 100, }, 
	["光合作用"] = { class = "DRUID", level = 100, }, 
--	["粉碎"] = { class = "DRUID", level = 100, }, 
	["狂乱撕扯"] = { class = "DRUID", level = 100, }, 
	["坠星"] = { class = "DRUID", level = 100, }, 
--++ Druid PvP Abilities ++	
	["头号挑战"] = { class = "DRUID", level = 40, }, 
	["星落如雨"] = { class = "DRUID", level = 40, }, 
	["超凡守护"] = { class = "DRUID", level = 40, }, 
	["横冲直撞"] = { class = "DRUID", level = 40, }, 
	["氏族防御者"] = { class = "DRUID", level = 40, }, 
	["新月燃烧"] = { class = "DRUID", level = 40, }, 
	["根深蒂固"] = { class = "DRUID", level = 40, }, 
	["兽穴之母"] = { class = "DRUID", level = 40, }, 
	["解缠"] = { class = "DRUID", level = 40, }, 
	["利爪德鲁伊"] = { class = "DRUID", level = 40, }, 
	["垂暮之星"] = { class = "DRUID", level = 40, }, 
	["万物复苏"] = { class = "DRUID", level = 40, }, 
	["大地之握"] = { class = "DRUID", level = 40, }, 
	["侵蚀藤蔓"] = { class = "DRUID", level = 40, }, 
	["缠绕树皮"] = { class = "DRUID", level = 40, }, 
	["纠缠利爪"] = { class = "DRUID", level = 40, }, 
	["凶猛伤痕"] = { class = "DRUID", level = 40, }, 
	["专注生长"] = { class = "DRUID", level = 40, }, 
	["新伤"] = { class = "DRUID", level = 40, }, 
	["铁羽护甲"] = { class = "DRUID", level = 40, }, 
	["丛林之王"] = { class = "DRUID", level = 40, }, 
	["变形大师"] = { class = "DRUID", level = 40, }, 
	["明月繁星"] = { class = "DRUID", level = 40, }, 
	["枭兽光环"] = { class = "DRUID", level = 40, }, 
	["滋养"] = { class = "DRUID", level = 40, }, 
	["过度生长"] = { class = "DRUID", level = 40, }, 
	["多刺荆棘"] = { class = "DRUID", level = 40, }, 
	["林地保护者"] = { class = "DRUID", level = 40, }, 
	["狂怒撕扯"] = { class = "DRUID", level = 40, }, 
	["狂野冲撞"] = { class = "DRUID", level = 40, }, 
	["锋利兽爪"] = { class = "DRUID", level = 40, }, 
--	["尖牙与利爪"] = { class = "DRUID", level = 40, }, 
	["强韧"] = { class = "DRUID", level = 40, }, 
	["精灵虫群"] = { class = "DRUID", level = 40, }, 
	["兽群的自由"] = { class = "DRUID", level = 40, }, 
	["玛洛恩的迅捷"] = { class = "DRUID", level = 40, }, 
	["蛮力冲锋"] = { class = "DRUID", level = 40, }, 
	["怒火狂热"] = { class = "DRUID", level = 40, }, 
	["怒吼之速"] = { class = "DRUID", level = 40, }, 
	["挫志咆哮"] = { class = "DRUID", level = 40, }, 
	["荆棘"] = { class = "DRUID", level = 40, }, 
	["暴怒割碎"] = { class = "DRUID", level = 40, }, 
	["旋风"] = { class = "DRUID", level = 40, }, 
	["盟友守护"] = { class = "DRUID", level = 40, }, 
	["兽群领袖"] = { class = "DRUID", level = 40, }, 	--8.1
	["野性之心"] = { class = "DRUID", level = 40, }, 	--8.1	
	["变形大师"] = { class = "DRUID", level = 40, }, 	--8.1		
--++ Hunter Abilities ++	
	["远古赞达拉秘籍"] = { class = "HUNTER", level = 1, }, 
	["雄鹰之怒"] = { class = "HUNTER", level = 1, }, 
	["多样天性"] = { class = "HUNTER", level = 1, }, 
	["机械联结烙印矩阵"] = { class = "HUNTER", level = 1, }, 
	["追踪机械"] = { class = "HUNTER", level = 1, }, 
	["召唤宠物 1"] = { class = "HUNTER", level = 1, }, 
	["复活宠物"] = { class = "HUNTER", level = 1, }, 
	["追踪恶魔"] = { class = "HUNTER", level = 4, }, 
	["追踪龙类"] = { class = "HUNTER", level = 4, }, 
	["追踪元素生物"] = { class = "HUNTER", level = 4, }, 
	["追踪巨人"] = { class = "HUNTER", level = 4, }, 
	["追踪隐藏生物"] = { class = "HUNTER", level = 4, }, 
	["追踪亡灵"] = { class = "HUNTER", level = 4, }, 
	["控制宠物"] = { class = "HUNTER", level = 10, }, 
	["解散宠物"] = { class = "HUNTER", level = 10, }, 
	["野兽知识"] = { class = "HUNTER", level = 13, }, 
	["召唤宠物 2"] = { class = "HUNTER", level = 13, }, 
	["喂养宠物"] = { class = "HUNTER", level = 13, }, 
	["治疗宠物"] = { class = "HUNTER", level = 13, }, 
	["驯服野兽"] = { class = "HUNTER", level = 13, }, 
	["鹰眼术"] = { class = "HUNTER", level = 16, }, 
	["噬血箭"] = { class = "HUNTER", level = 20, }, 	-- 8.1	
	["猎豹守护"] = { class = "HUNTER", level = 22, }, 
	["假死"] = { class = "HUNTER", level = 28, }, 
	["唤醒"] = { class = "HUNTER", level = 32, }, 
	["召唤宠物 3"] = { class = "HUNTER", level = 34, }, 
	["宠物掌控"] = { class = "HUNTER", level = 38, }, 
	["照明弹"] = { class = "HUNTER", level = 38, }, 
	["变色龙守护"] = { class = "HUNTER", level = 40, }, 
	["拾回"] = { class = "HUNTER", level = 40, }, 
	["烟花"] = { class = "HUNTER", level = 40, }, 
	["装死"] = { class = "HUNTER", level = 40, }, 
	["召唤宠物 4"] = { class = "HUNTER", level = 57, }, 
	["灵龟守护"] = { class = "HUNTER", level = 70, }, 
	["召唤宠物 5"] = { class = "HUNTER", level = 80, }, 
--++ Hunter Artifact Traits ++
	["飛鷹怒火"] = { class = "HUNTER", level = 100, }, 
	["泰坦雷擊"] = { class = "HUNTER", level = 100, }, 
	["風爆"] = { class = "HUNTER", level = 100, }, 
--++ Hunter Azerite Traits ++	
--	["奥术飓风"] = { class = "HUNTER", level = 110, }, 
	["箭矢风暴"] = { class = "HUNTER", level = 110, }, 
	["迅疾爪击"] = { class = "HUNTER", level = 110, }, 
	["死亡之舞"] = { class = "HUNTER", level = 110, }, 
	["娴熟掩护"] = { class = "HUNTER", level = 110, }, 
	["吞食狂热"] = { class = "HUNTER", level = 110, }, 
	["闪烁之牙"] = { class = "HUNTER", level = 110, }, 
	["集中火力"] = { class = "HUNTER", level = 110, }, 
	["怒火升腾"] = { class = "HUNTER", level = 110, }, 
	["弦之韵律"] = { class = "HUNTER", level = 110, }, 
	["潜藏毒素"] = { class = "HUNTER", level = 110, }, 
--	["领导兽群"] = { class = "HUNTER", level = 110, }, 
	["原始本能"] = { class = "HUNTER", level = 110, }, 
	["斜掠之爪"] = { class = "HUNTER", level = 110, }, 
	["快速装填"] = { class = "HUNTER", level = 110, }, 
--	["驾驭雷电"] = { class = "HUNTER", level = 110, }, 
	["腐化之颚"] = { class = "HUNTER", level = 110, }, 
	["先发制人"] = { class = "HUNTER", level = 110, }, 
	["锯齿利颚"] = { class = "HUNTER", level = 110, }, 
	["龟壳震击"] = { class = "HUNTER", level = 110, }, 
	["稳固瞄准"] = { class = "HUNTER", level = 110, }, 
	["千里之目"] = { class = "HUNTER", level = 110, }, 
--	["鱼叉连击"] = { class = "HUNTER", level = 110, }, 
	["剧毒之牙"] = { class = "HUNTER", level = 110, }, 
	["鹰击长空"] = { class = "HUNTER", level = 110, }, 
	["旋风回旋"] = { class = "HUNTER", level = 110, }, 
	["荒野生存"] = { class = "HUNTER", level = 110, }, 
	["野火弹簇"] = { class = "HUNTER", level = 110, },
	["凶暴后果"] = { class = "HUNTER", level = 110, }, --8.1	
	["自然药膏"] = { class = "HUNTER", level = 110, }, --8.1		
	["原始直觉"] = { class = "HUNTER", level = 110, }, --8.1		
	["激涌射击"] = { class = "HUNTER", level = 110, }, --8.1
	["千里之目"] = { class = "HUNTER", level = 110, }, --8.1	
--++ Hunter Specializations ++	
	["眼镜蛇射击"] = { class = "HUNTER", level = 1, }, 
	["猛禽一击"] = { class = "HUNTER", level = 1, }, 
	["稳固射击"] = { class = "HUNTER", level = 1, }, 
	["震荡射击"] = { class = "HUNTER", level = 4, }, 
	["摔绊"] = { class = "HUNTER", level = 4, }, 
	["逃脱"] = { class = "HUNTER", level = 8, }, 
	["奥术射击"] = { class = "HUNTER", level = 10, }, 
	["杀戮命令"] = { class = "HUNTER", level = 10, }, 
	["独来独往"] = { class = "HUNTER", level = 10, }, 
	["瞄准射击"] = { class = "HUNTER", level = 12, }, 
	["倒刺射击"] = { class = "HUNTER", level = 12, }, 
	["毒蛇钉刺"] = { class = "HUNTER", level = 12, }, 
	["鱼叉猛刺"] = { class = "HUNTER", level = 14, }, 
	["多重射击"] = { class = "HUNTER", level = 14, }, 
	["冰冻陷阱"] = { class = "HUNTER", level = 18, }, 
	["狂野怒火"] = { class = "HUNTER", level = 20, }, 
	["急速射击"] = { class = "HUNTER", level = 20, }, 
	["荒野呼唤"] = { class = "HUNTER", level = 20, }, 
	["野火炸弹"] = { class = "HUNTER", level = 20, }, 
	["意气风发"] = { class = "HUNTER", level = 24, }, 
	["爆裂射击"] = { class = "HUNTER", level = 26, }, 
	["胁迫"] = { class = "HUNTER", level = 26, }, 
	["反制射击"] = { class = "HUNTER", level = 32, }, 
	["压制"] = { class = "HUNTER", level = 32, }, 
	["弹无虚发"] = { class = "HUNTER", level = 34, }, 
	["焦油陷阱"] = { class = "HUNTER", level = 36, }, 
	["野性守护"] = { class = "HUNTER", level = 40, }, 
	["协同进攻"] = { class = "HUNTER", level = 40, }, 
	["百发百中"] = { class = "HUNTER", level = 40, }, 
	["削凿"] = { class = "HUNTER", level = 42, }, 
	["误导"] = { class = "HUNTER", level = 42, }, 
	["志趣相投"] = { class = "HUNTER", level = 44, }, 
	["野兽顺劈"] = { class = "HUNTER", level = 50, }, 
	["技巧射击"] = { class = "HUNTER", level = 50, }, 
	["雄鹰守护"] = { class = "HUNTER", level = 54, }, 
	["奇珍异兽"] = { class = "HUNTER", level = 65, }, 
	["精通：野兽控制大师"] = { class = "HUNTER", level = 78, }, 
	["精通：狙击训练"] = { class = "HUNTER", level = 78, }, 
	["精通：灵魂联结"] = { class = "HUNTER", level = 78, }, 
--++ Hunter Talents ++	
	["夺命黑鸦"] = { class = "HUNTER", level = 15, }, 
	["捕食者头领"] = { class = "HUNTER", level = 15, }, 
	["动物伙伴"] = { class = "HUNTER", level = 15, }, 
	["凶暴野兽"] = { class = "HUNTER", level = 15, }, 
	["杀手本能"] = { class = "HUNTER", level = 15, }, 
	["狙击高手"] = { class = "HUNTER", level = 15, }, 
	["接战协定"] = { class = "HUNTER", level = 15, }, 
	["蝰蛇毒液"] = { class = "HUNTER", level = 15, }, 
	["屠戮"] = { class = "HUNTER", level = 30, }, 
	["精确瞄准"] = { class = "HUNTER", level = 30, }, 
	["奇美拉射击"] = { class = "HUNTER", level = 30, }, 
	["爆炸射击"] = { class = "HUNTER", level = 30, }, 
	["游击战术"] = { class = "HUNTER", level = 30, }, 
	["多头蛇之咬"] = { class = "HUNTER", level = 30, }, 
	["兽行成群"] = { class = "HUNTER", level = 30, }, 
--	["血之气息"] = { class = "HUNTER", level = 30, }, 
	["乱射"] = { class = "HUNTER", level = 30, }, 
	["伪装"] = { class = "HUNTER", level = 45, }, 
	["自然治愈"] = { class = "HUNTER", level = 45, }, 
	["开拓者"] = { class = "HUNTER", level = 45, }, 
	["觅血者"] = { class = "HUNTER", level = 60, }, 
	["猎人印记"] = { class = "HUNTER", level = 60, }, 
	["稳固集中"] = { class = "HUNTER", level = 60, }, 
	["精钢陷阱"] = { class = "HUNTER", level = 60, }, 
	["行云流水"] = { class = "HUNTER", level = 60, }, 
	["狩猎刺激"] = { class = "HUNTER", level = 60, }, 
	["毒性撕咬"] = { class = "HUNTER", level = 60, }, 
	["束缚射击"] = { class = "HUNTER", level = 75, }, 
	["天生狂野"] = { class = "HUNTER", level = 75, }, 
	["迅疾如风"] = { class = "HUNTER", level = 75, }, 
	["弹幕射击"] = { class = "HUNTER", level = 90, }, 
	["二连发"] = { class = "HUNTER", level = 90, }, 
	["侧翼打击"] = { class = "HUNTER", level = 90, }, 
	["致命射击"] = { class = "HUNTER", level = 90, }, 
	["猫鼬撕咬"] = { class = "HUNTER", level = 90, }, 
	["群兽奔腾"] = { class = "HUNTER", level = 90, }, 
	["践踏"] = { class = "HUNTER", level = 90, }, 
	["利矛之刃"] = { class = "HUNTER", level = 90, }, 
	["野兽守护"] = { class = "HUNTER", level = 100, }, 
	["猛禽狩猎"] = { class = "HUNTER", level = 100, }, 
	["箭在弦上"] = { class = "HUNTER", level = 100, }, 
	["飞轮"] = { class = "HUNTER", level = 100, }, 
	["杀戮眼镜蛇"] = { class = "HUNTER", level = 100, }, 
	["荷枪实弹"] = { class = "HUNTER", level = 100, }, 
	["穿刺射击"] = { class = "HUNTER", level = 100, }, 
	["喷毒眼镜蛇"] = { class = "HUNTER", level = 100, }, 
	["野火灌注"] = { class = "HUNTER", level = 100, }, 
--++ Hunter PvP Talents ++	
	["寒冰钻石"] = { class = "HUNTER", level = 40, }, 
	["凶暴野兽：蜥蜴"] = { class = "HUNTER", level = 40, }, 
	["凶暴野兽：雄鹰"] = { class = "HUNTER", level = 40, }, 
	["龙鳞护甲"] = { class = "HUNTER", level = 40, }, 
	["狩猎队伍"] = { class = "HUNTER", level = 40, }, 
	["干涉"] = { class = "HUNTER", level = 40, }, 
	["治疗绷带"] = { class = "HUNTER", level = 40, }, 
	["游侠的灵巧"] = { class = "HUNTER", level = 40, }, 
	["牺牲咆哮"] = { class = "HUNTER", level = 40, }, 
	["毒蝎钉刺"] = { class = "HUNTER", level = 40, }, 
	["狙击"] = { class = "HUNTER", level = 40, }, 
	["蜘蛛钉刺"] = { class = "HUNTER", level = 40, }, 
	["粘稠焦油"] = { class = "HUNTER", level = 40, }, 
	["生存战术"] = { class = "HUNTER", level = 40, }, 
	["野兽之心"] = { class = "HUNTER", level = 40, }, 
	["强化百发百中"] = { class = "HUNTER", level = 40, }, 
	["蝰蛇钉刺"] = { class = "HUNTER", level = 40, }, 
	["荒野守护者"] = { class = "HUNTER", level = 40, }, 
	["追踪者之网"] = { class = "HUNTER", level = 40, }, 
	["驱散射击"] = { class = "HUNTER", level = 40, }, 
	["高爆陷阱"] = { class = "HUNTER", level = 40, }, 
--++ Mage Abilities ++	
	["幻觉"] = { class = "MAGE", level = 1, }, 
	["冰霜新星"] = { class = "MAGE", level = 5, }, 
	["变形术"] = { class = "MAGE", level = 8, },
	["造餐术"] = { class = "MAGE", level = 13, }, 
	["传送：守护者圣殿"] = { class = "MAGE", level = 14, }, 
	["闪现术"] = { class = "MAGE", level = 16, }, 
	["传送：达纳苏斯"] = { class = "MAGE", level = 17, }, 
	["传送：埃索达"] = { class = "MAGE", level = 17, }, 
	["传送：铁炉堡"] = { class = "MAGE", level = 17, }, 
	["传送：奥格瑞玛"] = { class = "MAGE", level = 17, }, 
	["传送：银月城"] = { class = "MAGE", level = 17, }, 
	["传送：暴风城"] = { class = "MAGE", level = 17, }, 
	["传送：塞拉摩"] = { class = "MAGE", level = 17, }, 
	["传送：雷霆崖"] = { class = "MAGE", level = 17, }, 
	["传送：幽暗城"] = { class = "MAGE", level = 17, }, 
	["法术反制"] = { class = "MAGE", level = 22, }, 
	["解除诅咒"] = { class = "MAGE", level = 28, }, 
	["缓落术"] = { class = "MAGE", level = 38, }, 
	["传送门：达纳苏斯"] = { class = "MAGE", level = 42, }, 
	["传送门：埃索达"] = { class = "MAGE", level = 42, }, 
	["传送门：铁炉堡"] = { class = "MAGE", level = 42, }, 
	["传送门：奥格瑞玛"] = { class = "MAGE", level = 42, }, 
	["传送门：银月城"] = { class = "MAGE", level = 42, }, 
	["传送门：暴风城"] = { class = "MAGE", level = 42, }, 
	["传送门：塞拉摩"] = { class = "MAGE", level = 42, }, 
	["传送门：雷霆崖"] = { class = "MAGE", level = 42, }, 
	["传送门：幽暗城"] = { class = "MAGE", level = 42, }, 
	["寒冰屏障"] = { class = "MAGE", level = 50, }, 
	["传送门：斯通纳德"] = { class = "MAGE", level = 52, }, 
	["传送：斯通纳德"] = { class = "MAGE", level = 52, }, 
	["奥术智慧"] = { class = "MAGE", level = 58, }, 
	["奥术语言"] = { class = "MAGE", level = 58, }, 
	["传送：达拉然 - 诺森德"] = { class = "MAGE", level = 60, }, 
	["传送：沙塔斯"] = { class = "MAGE", level = 62, }, 
	["传送门：沙塔斯"] = { class = "MAGE", level = 66, }, 
	["法术吸取"] = { class = "MAGE", level = 70, }, 
	["远古传送：达拉然"] = { class = "MAGE", level = 71, }, 
	["传送：达拉然 - 破碎群岛"] = { class = "MAGE", level = 71, }, 
	["远古传送门：达拉然"] = { class = "MAGE", level = 74, }, 
	["传送门：达拉然 - 破碎群岛"] = { class = "MAGE", level = 74, }, 
	["传送门：达拉然 - 诺森德"] = { class = "MAGE", level = 74, }, 
	["时间扭曲"] = { class = "MAGE", level = 80, }, 
	["传送门：托尔巴拉德"] = { class = "MAGE", level = 85, }, 
	["传送：托尔巴拉德"] = { class = "MAGE", level = 85, }, 
	["传送门：锦绣谷"] = { class = "MAGE", level = 90, }, 
	["传送：锦绣谷"] = { class = "MAGE", level = 90, }, 
	["传送门：暴风之盾"] = { class = "MAGE", level = 92, }, 
	["传送门：战争之矛"] = { class = "MAGE", level = 92, }, 
	["传送：暴风之盾"] = { class = "MAGE", level = 92, }, 
	["传送：战争之矛"] = { class = "MAGE", level = 92, }, 
	["传送门：伯拉勒斯"] = { class = "MAGE", level = 110, }, 
	["传送门：达萨罗"] = { class = "MAGE", level = 110, }, 
	["传送：伯拉勒斯"] = { class = "MAGE", level = 110, }, 
	["传送：达萨罗"] = { class = "MAGE", level = 110, }, 
--++ Mage Artifact Traits ++
	["亞魯涅斯印記"] = { class = "MAGE", level = 100, },
	["鳳凰烈焰"] = { class = "MAGE", level = 100, },
	["黯冰箭"] = { class = "MAGE", level = 100, }, 
--++ Mage Azerite Traits ++	
--	["异常冲击"] = { class = "MAGE", level = 110, }, 
	["奥术压力"] = { class = "MAGE", level = 110, }, 
	["奥术连击"] = { class = "MAGE", level = 110, }, 
	["冲击大师"] = { class = "MAGE", level = 110, }, 
	["头脑风暴"] = { class = "MAGE", level = 110, }, 
	["火疗闪烁"] = { class = "MAGE", level = 110, }, 
	["复制焚化"] = { class = "MAGE", level = 110, }, 
	["怪异护卫"] = { class = "MAGE", level = 110, }, 
	["爆炸回响"] = { class = "MAGE", level = 110, }, 
	["烈火意志"] = { class = "MAGE", level = 110, }, 
	["欣燃之焰"] = { class = "MAGE", level = 110, }, 
	["霜寒之握"] = { class = "MAGE", level = 110, }, 
	["刺激火花"] = { class = "MAGE", level = 110, }, 
	["冰河突击"] = { class = "MAGE", level = 110, }, 
	["密集寒冰"] = { class = "MAGE", level = 110, }, 
--	["预热"] = { class = "MAGE", level = 110, }, 
	["灰烬轨迹"] = { class = "MAGE", level = 110, }, 
	["寒冰隧道"] = { class = "MAGE", level = 110, }, 
	["霜降"] = { class = "MAGE", level = 110, }, 
--	["寒冬蔓延"] = { class = "MAGE", level = 110, }, 
	["均势相衡"] = { class = "MAGE", level = 110, },  --8.1
	["冰霜速冻"] = { class = "MAGE", level = 110, },  --8.1
	["敏锐思考"] = { class = "MAGE", level = 110, },  --8.1
	["野火"] = { class = "MAGE", level = 110, },  --8.1
--++ Mage Specializations ++	
	["寒冰箭"] = { class = "MAGE", level = 1, }, 
--	["火焰冲击"] = { class = "MAGE", level = 3, }, 
	["奥术弹幕"] = { class = "MAGE", level = 10, }, 
	["奥术冲击"] = { class = "MAGE", level = 10, }, 
	["临界炽焰"] = { class = "MAGE", level = 10, }, 
	["火球术"] = { class = "MAGE", level = 10, }, 
	["冰枪术"] = { class = "MAGE", level = 10, }, 
	["奥术飞弹"] = { class = "MAGE", level = 12, }, 
	["炎爆术"] = { class = "MAGE", level = 12, }, 
	["召唤水元素"] = { class = "MAGE", level = 12, }, 
	["炽热连击"] = { class = "MAGE", level = 14, }, 
	["灼烧"] = { class = "MAGE", level = 14, }, 
	["碎冰"] = { class = "MAGE", level = 14, }, 
	["魔爆术"] = { class = "MAGE", level = 18, }, 
	["暴风雪"] = { class = "MAGE", level = 18, }, 
	["唤醒"] = { class = "MAGE", level = 20, }, 
	["烈焰风暴"] = { class = "MAGE", level = 20, }, 
	["冰风暴"] = { class = "MAGE", level = 20, }, 
	["寒冰指"] = { class = "MAGE", level = 24, }, 
	["烈焰护体"] = { class = "MAGE", level = 26, }, 
	["寒冰护体"] = { class = "MAGE", level = 26, }, 
	["棱光屏障"] = { class = "MAGE", level = 26, }, 
	["冰冷智慧"] = { class = "MAGE", level = 28, }, 
	["龙息术"] = { class = "MAGE", level = 32, }, 
	["冰冻术"] = { class = "MAGE", level = 32, },
	["减速"] = { class = "MAGE", level = 32, }, 
	["冰锥术"] = { class = "MAGE", level = 34, }, 
	["强化烟火之术"] = { class = "MAGE", level = 35, }, 
	["奥术强化"] = { class = "MAGE", level = 40, }, 
	["燃烧"] = { class = "MAGE", level = 40, }, 
	["冰冷血脉"] = { class = "MAGE", level = 40, }, 
	["隐形术"] = { class = "MAGE", level = 42, }, 
	["闪回"] = { class = "MAGE", level = 48, }, 
	["灸灼"] = { class = "MAGE", level = 52, }, 
	["急速冷却"] = { class = "MAGE", level = 52, }, 
	["气定神闲"] = { class = "MAGE", level = 54, }, 
	["寒冰宝珠"] = { class = "MAGE", level = 57, }, 
	["强化隐形术"] = { class = "MAGE", level = 65, }, 
	["精通：冰刺"] = { class = "MAGE", level = 78, }, 
	["精通：点燃"] = { class = "MAGE", level = 78, }, 
	["精通：法力专家"] = { class = "MAGE", level = 78, }, 
--++ Mage Talents ++	
	["增效"] = { class = "MAGE", level = 15, }, 
	["奥术魔宠"] = { class = "MAGE", level = 15, }, 
	["刺骨冰寒"] = { class = "MAGE", level = 15, }, 
	["纵火者"] = { class = "MAGE", level = 15, }, 
	["寒冰新星"] = { class = "MAGE", level = 15, }, 
	["孤寂寒冬"] = { class = "MAGE", level = 15, }, 
	["纵火"] = { class = "MAGE", level = 15, }, 
	["三之准则"] = { class = "MAGE", level = 15, }, 
	["灼烧之触"] = { class = "MAGE", level = 15, }, 
	["冲击波"] = { class = "MAGE", level = 30, }, 
	["炽热之魂"] = { class = "MAGE", level = 30, }, 
	["冰川隔离"] = { class = "MAGE", level = 30, }, 
	["浮冰"] = { class = "MAGE", level = 30, }, 
	["法力护盾"] = { class = "MAGE", level = 30, }, 
	["闪光术"] = { class = "MAGE", level = 30, }, 
	["气流"] = { class = "MAGE", level = 30, }, 
	["咒术洪流"] = { class = "MAGE", level = 45, }, 
	["镜像"] = { class = "MAGE", level = 45, }, 
	["能量符文"] = { class = "MAGE", level = 45, }, 
	["阿莱克丝塔萨之怒"] = { class = "MAGE", level = 60, }, 
	["连锁反应"] = { class = "MAGE", level = 60, }, 
	["精力充沛"] = { class = "MAGE", level = 60, }, 
	["黑冰箭"] = { class = "MAGE", level = 60, }, 
	["烈焰飞舞"] = { class = "MAGE", level = 60, }, 
	["冰冻之触"] = { class = "MAGE", level = 60, }, 
	["不死鸟之焰"] = { class = "MAGE", level = 60, }, 
	["共鸣"] = { class = "MAGE", level = 60, }, 
	["超级新星"] = { class = "MAGE", level = 60, }, 
	["时空转移"] = { class = "MAGE", level = 75, }, 
	["狂热之速"] = { class = "MAGE", level = 75, }, 
	["刺骨寒风"] = { class = "MAGE", level = 75, }, 
	["寒冰结界"] = { class = "MAGE", level = 75, }, 
	["冰霜之环"] = { class = "MAGE", level = 75, }, 
	["彗星风暴"] = { class = "MAGE", level = 90, }, 
	["洪荒烈火"] = { class = "MAGE", level = 90, }, 
	["烈焰之地"] = { class = "MAGE", level = 90, }, 
	["冰冻之雨"] = { class = "MAGE", level = 90, }, 
	["活动炸弹"] = { class = "MAGE", level = 90, }, 
	["虚空风暴"] = { class = "MAGE", level = 90, }, 
	["回响"] = { class = "MAGE", level = 90, }, 
	["大法师之触"] = { class = "MAGE", level = 90, }, 
	["奥术宝珠"] = { class = "MAGE", level = 100, }, 
	["冰川尖刺"] = { class = "MAGE", level = 100, }, 
	["薪火"] = { class = "MAGE", level = 100, }, 
--	["流星"] = { class = "MAGE", level = 100, }, 
	["超强能量"] = { class = "MAGE", level = 100, }, 
	["火焰冲撞"] = { class = "MAGE", level = 100, }, 
	["冰霜射线"] = { class = "MAGE", level = 100, }, 
	["热能真空"] = { class = "MAGE", level = 100, }, 
	["时间紊乱"] = { class = "MAGE", level = 100, }, 
--++ Mage PvP Talents ++	
	["奥术增效"] = { class = "MAGE", level = 40, }, 
	["凝结寒气"] = { class = "MAGE", level = 40, }, 
	["可控燃烧"] = { class = "MAGE", level = 40, }, 
	["压制魔力"] = { class = "MAGE", level = 40, }, 
	["深度碎裂"] = { class = "MAGE", level = 40, }, 
	["烈焰轰击"] = { class = "MAGE", level = 40, }, 
	["窃法成瘾"] = { class = "MAGE", level = 40, }, 
	["群体隐形"] = { class = "MAGE", level = 40, }, 
	["逃脱大师"] = { class = "MAGE", level = 40, }, 
	["灵风护甲"] = { class = "MAGE", level = 40, }, 
	["棱彩屏障"] = { class = "MAGE", level = 40, }, 
	["易燃"] = { class = "MAGE", level = 40, }, 
	["恃强凌弱"] = { class = "MAGE", level = 40, }, 
	["烈焰世界"] = { class = "MAGE", level = 40, }, 
	["寒冰爆发"] = { class = "MAGE", level = 40, }, 
	["刺骨之寒"] = { class = "MAGE", level = 40, }, 
	["冰霜撕咬"] = { class = "MAGE", level = 40, }, 
	["时光护盾"] = { class = "MAGE", level = 40, }, 
	["强效炎爆术"] = { class = "MAGE", level = 40, }, 
	["时光倒转"] = { class = "MAGE", level = 40, }, 
	["寒冰形态"] = { class = "MAGE", level = 40, }, 
--++ Monk Abilities ++	
	["横向烈风"] = { class = "MONK", level = 1, }, 
	["猛虎掌"] = { class = "MONK", level = 1, }, 
	["禅意飞行"] = { class = "MONK", level = 1, }, 
	["幻灭踢"] = { class = "MONK", level = 3, }, 
	["滚地翻"] = { class = "MONK", level = 5, }, 
	["抚慰之雾"] = { class = "MONK", level = 10, }, 
	["嚎镇八方"] = { class = "MONK", level = 13, }, 
	["轮回转世"] = { class = "MONK", level = 14, }, 
	["禅宗朝圣"] = { class = "MONK", level = 14, }, 
	["碎玉闪电"] = { class = "MONK", level = 18, }, 
	["分筋错骨"] = { class = "MONK", level = 25, }, 
	["玄秘掌"] = { class = "MONK", level = 26, }, 
	["禅宗朝圣：返回"] = { class = "MONK", level = 30, }, 
	["魂体双分"] = { class = "MONK", level = 80, }, 
	["魂体双分：转移"] = { class = "MONK", level = 80, }, 
--++ Monk Artifact Traits ++
	["爆炸桶"] = { class = "MONK", level = 100, },
	["雪崙的贈禮"] = { class = "MONK", level = 100, }, 
	["馭風打擊"] = { class = "MONK", level = 100, }, 
--++ Monk Azerite Traits ++	
	["滚烫美酒"] = { class = "MONK", level = 110, }, 
	["生机迸发"] = { class = "MONK", level = 110, }, 
	["醉踪步"] = { class = "MONK", level = 110, }, 
	["内力澎湃"] = { class = "MONK", level = 110, }, 
	["生命之池"] = { class = "MONK", level = 110, }, 
--	["提神酒"] = { class = "MONK", level = 110, }, 
--	["钢铁之拳"] = { class = "MONK", level = 110, }, 
--	["精湛拳法"] = { class = "MONK", level = 110, }, 
	["迷雾之峰"] = { class = "MONK", level = 110, }, 
	["砮皂的祝福"] = { class = "MONK", level = 110, }, 
	["开阖掌法"] = { class = "MONK", level = 110, }, 
	["浓雾弥漫"] = { class = "MONK", level = 110, }, 
	["点穴踢"] = { class = "MONK", level = 110, }, 
	["幻灭醉拳"] = { class = "MONK", level = 110, }, 
	["灵魂之力"] = { class = "MONK", level = 110, }, 
	["旭日功"] = { class = "MONK", level = 110, }, 
	["地堂腿法"] = { class = "MONK", level = 110, }, 
--	["神龙摆尾"] = { class = "MONK", level = 110, }, 
	["砮皂的试炼"] = { class = "MONK", level = 110, }, 
	["起死回生"] = { class = "MONK", level = 110, }, 
	["赤精之舞"] = { class = "MONK", level = 110, },  --8.1	
	["走为上计"] = { class = "MONK", level = 110, },  --8.1
	["雪怒之怒"] = { class = "MONK", level = 110, },  --8.1
	["旭日峥嵘"] = { class = "MONK", level = 110, },  --8.1
	["秘术传功"] = { class = "MONK", level = 110, },  --8.1
	["勇往直前"] = { class = "MONK", level = 110, },  --8.1		
--++ Monk Specializations ++	
	["活血术"] = { class = "MONK", level = 8, }, 
	["幻灭猛击"] = { class = "MONK", level = 10, }, 
	["酒仙之道"] = { class = "MONK", level = 10, }, 
	["醉酿投"] = { class = "MONK", level = 10, }, 
	["旭日东升踢"] = { class = "MONK", level = 10, }, 
	["氤氲之雾"] = { class = "MONK", level = 12, }, 
	["禅院教诲"] = { class = "MONK", level = 12, }, 
	["金刚震"] = { class = "MONK", level = 16, }, 
	["醉拳"] = { class = "MONK", level = 16, }, 
	["进退自如"] = { class = "MONK", level = 20, }, 
	["怒雷破"] = { class = "MONK", level = 20, }, 
	["铁骨酒"] = { class = "MONK", level = 20, }, 
	["复苏之雾"] = { class = "MONK", level = 20, }, 
	["清创生血"] = { class = "MONK", level = 22, }, 
	["活血酒"] = { class = "MONK", level = 28, }, 
	["玄牛之赐"] = { class = "MONK", level = 32, }, 
	["轮回之触"] = { class = "MONK", level = 32, }, 
	["轮回之触强化"] = { class = "MONK", level = 32, }, 
	["作茧缚命"] = { class = "MONK", level = 35, }, 
	["切喉手"] = { class = "MONK", level = 35, }, 
	["疾风步"] = { class = "MONK", level = 38, }, 
	["火焰之息"] = { class = "MONK", level = 40, }, 
	["飓风打击"] = { class = "MONK", level = 40, }, 
	["精华之泉"] = { class = "MONK", level = 40, }, 
	["神鹤引项踢"] = { class = "MONK", level = 40, }, 
	["踏风连击"] = { class = "MONK", level = 42, }, 
	["翔龙在天"] = { class = "MONK", level = 48, }, 
	["移花接木"] = { class = "MONK", level = 50, }, 
	["风火雷电"] = { class = "MONK", level = 50, }, 
	["雷光聚神茶"] = { class = "MONK", level = 50, }, 
	["扫堂腿"] = { class = "MONK", level = 52, }, 
	["壮胆酒"] = { class = "MONK", level = 55, }, 
	["业报之触"] = { class = "MONK", level = 55, }, 
	["禅悟冥想"] = { class = "MONK", level = 65, }, 
	["死而复生"] = { class = "MONK", level = 66, }, 
	["天神护佑"] = { class = "MONK", level = 70, }, 
	["还魂术"] = { class = "MONK", level = 70, }, 
	["精通：组合拳"] = { class = "MONK", level = 78, }, 
	["精通：醉拳大师"] = { class = "MONK", level = 78, }, 
	["精通：迷雾之风"] = { class = "MONK", level = 78, }, 
--++ Monk Talents ++	
	["真气爆裂"] = { class = "MONK", level = 15, }, 
	["真气波"] = { class = "MONK", level = 15, }, 
	["猛虎之眼"] = { class = "MONK", level = 15, }, 
	["缭绕之雾"] = { class = "MONK", level = 15, }, 
	["动如脱兔"] = { class = "MONK", level = 30, }, 
	["真气突"] = { class = "MONK", level = 30, }, 
	["迅如猛虎"] = { class = "MONK", level = 30, }, 
	["真气升腾"] = { class = "MONK", level = 45, }, 
	["玄牛酒"] = { class = "MONK", level = 45, }, 
	["豪能酒"] = { class = "MONK", level = 45, }, 
	["白虎拳"] = { class = "MONK", level = 45, }, 
	["生生不息"] = { class = "MONK", level = 45, }, 
	["光明之酿"] = { class = "MONK", level = 45, }, 
	["法力茶"] = { class = "MONK", level = 45, }, 
	["仙鹤之魂"] = { class = "MONK", level = 45, }, 
	["喷火"] = { class = "MONK", level = 45, }, 
	["善恶有报"] = { class = "MONK", level = 60, }, 
	["平心之环"] = { class = "MONK", level = 60, }, 
	["赤精之歌"] = { class = "MONK", level = 60, }, 
	["玄牛雕像"] = { class = "MONK", level = 60, }, 
	["猛虎扫尾"] = { class = "MONK", level = 60, }, 
	["闪避身法"] = { class = "MONK", level = 75, }, 
	["躯不坏"] = { class = "MONK", level = 75, }, 
	["散魔功"] = { class = "MONK", level = 75, }, 
	["铁布衫"] = { class = "MONK", level = 75, }, 
	["连击"] = { class = "MONK", level = 90, }, 
	["朱鹤赤精"] = { class = "MONK", level = 90, }, 
	["玄牛砮皂"] = { class = "MONK", level = 90, }, 
	["白虎下凡"] = { class = "MONK", level = 90, }, 
	["碧愈疾风"] = { class = "MONK", level = 90, }, 
	["碧玉疾风"] = { class = "MONK", level = 90, }, 
	["特别快递"] = { class = "MONK", level = 90, }, 
	["青龙雕像"] = { class = "MONK", level = 90, }, 
	["幻灭连击"] = { class = "MONK", level = 100, }, 
	["雷光凝聚"] = { class = "MONK", level = 100, }, 
	["金钟罩"] = { class = "MONK", level = 100, }, 
	["坚定不屈"] = { class = "MONK", level = 100, }, 
	["升腾迷雾"] = { class = "MONK", level = 100, }, 
	["屏气凝神"] = { class = "MONK", level = 100, }, 
	["灵魂专注"] = { class = "MONK", level = 100, }, 
	["艺业精纯"] = { class = "MONK", level = 100, }, 
	["升龙霸"] = { class = "MONK", level = 100, }, 
--++ Monk PvP Talents ++	
	["劝诫"] = { class = "MONK", level = 40, }, 
	["虎中之王"] = { class = "MONK", level = 40, },	 --8.1	
	["斗转星移"] = { class = "MONK", level = 40, }, 
	["破蛹化蝶"] = { class = "MONK", level = 40, }, 
	["控制迷雾"] = { class = "MONK", level = 40, }, 
	["法术中和"] = { class = "MONK", level = 40, }, 
	["隔山打牛"] = { class = "MONK", level = 40, }, 
	["迷雾护体"] = { class = "MONK", level = 40, }, 
	["醉上加醉"] = { class = "MONK", level = 40, }, 
	["怪味发酵"] = { class = "MONK", level = 40, }, 
	["龙威显赫"] = { class = "MONK", level = 40, }, 
	["无影步"] = { class = "MONK", level = 40, }, 
	["抓钩武器"] = { class = "MONK", level = 40, }, 
	["偏转冥想"] = { class = "MONK", level = 40, }, 
	["疗伤珠"] = { class = "MONK", level = 40, }, 
	["重拳出击"] = { class = "MONK", level = 40, }, 
	["热酿"] = { class = "MONK", level = 40, }, 
	["烈焰之息"] = { class = "MONK", level = 40, }, 
	["私家陈酿"] = { class = "MONK", level = 40, }, 
	["蛮牛踢"] = { class = "MONK", level = 40, }, 
	["提神微风"] = { class = "MONK", level = 40, }, 
	["驭风而行"] = { class = "MONK", level = 40, }, 
	["猛虎派"] = { class = "MONK", level = 40, }, 
	["虎眼酒"] = { class = "MONK", level = 40, }, 
	["仙鹤之道"] = { class = "MONK", level = 40, }, 
	["禅意聚神茶"] = { class = "MONK", level = 40, }, 
	["制造逍遥酒"] = { class = "MONK", level = 40, }, 
	["砮皂的精华"] = { class = "MONK", level = 40, }, 
	["玉珑之赐"] = { class = "MONK", level = 40, }, 
	["升腾之雾"] = { class = "MONK", level = 40, }, 
	["正中死穴"] = { class = "MONK", level = 40, },  --8.1	
	["反向伤害"] = { class = "MONK", level = 40, },  --8.1		
	["怒雷叶轮"] = { class = "MONK", level = 40, },  --8.1		
	["唤风者"] = { class = "MONK", level = 40, },  --8.1	
--++ Paladin Abilities ++	
	["提尔的拯救"] = { class = "PALADIN", level = 1, }, 
	["无边定罪"] = { class = "PALADIN", level = 1, }, 
	["清算之手"] = { class = "PALADIN", level = 12, }, 
	["救赎"] = { class = "PALADIN", level = 14, }, 
	["圣盾术"] = { class = "PALADIN", level = 18, }, 
	["召唤暗炉山羊"] = { class = "PALADIN", level = 20, }, 
	["召唤晨炉山羊"] = { class = "PALADIN", level = 20, }, 
	["召唤主教的雷象"] = { class = "PALADIN", level = 20, }, 
	["召唤烈日行者科多兽"] = { class = "PALADIN", level = 20, }, 
	["召唤萨拉斯战马"] = { class = "PALADIN", level = 20, }, 
	["召唤战马"] = { class = "PALADIN", level = 20, }, 
	["神圣马驹"] = { class = "PALADIN", level = 28, }, 
	["自由祝福"] = { class = "PALADIN", level = 38, }, 
	["静思"] = { class = "PALADIN", level = 40, }, 
	["召唤军马"] = { class = "PALADIN", level = 40, }, 
	["召唤大主教的雷象"] = { class = "PALADIN", level = 40, }, 
	["召唤巨型烈日行者科多兽"] = { class = "PALADIN", level = 40, }, 
	["召唤萨拉斯军马"] = { class = "PALADIN", level = 40, }, 
	["十字军之心"] = { class = "PALADIN", level = 44, }, 
	["圣疗术"] = { class = "PALADIN", level = 55, }, 
--++ Paladin Artifact Traits ++
	["提爾之眼"] = { class = "PALADIN", level = 100, }, 
	["提爾救贖"] = { class = "PALADIN", level = 100, }, 
	["灰燼甦醒"] = { class = "PALADIN", level = 100, }, 
--++ Paladin Azerite Traits ++	
	["复仇者之力"] = { class = "PALADIN", level = 110, }, 
	["破晓"] = { class = "PALADIN", level = 110, }, 
	["光明堡垒"] = { class = "PALADIN", level = 110, }, 
	["爆破之光"] = { class = "PALADIN", level = 110, }, 
	["神圣启迪"] = { class = "PALADIN", level = 110, }, 
	["神圣启示"] = { class = "PALADIN", level = 110, }, 
--	["神圣权利"] = { class = "PALADIN", level = 110, }, 
	["异端逐除"] = { class = "PALADIN", level = 110, }, 
	["牢固光环"] = { class = "PALADIN", level = 110, }, 
	["壮士烈马"] = { class = "PALADIN", level = 110, }, 
	["审判官的优雅"] = { class = "PALADIN", level = 110, }, 
	["治愈之锤"] = { class = "PALADIN", level = 110, }, 
	["激励道标"] = { class = "PALADIN", level = 110, }, 
	["激励勇士"] = { class = "PALADIN", level = 110, }, 
	["防御判决"] = { class = "PALADIN", level = 110, }, 
--	["殉难者之息"] = { class = "PALADIN", level = 110, }, 
	["炽热闪耀"] = { class = "PALADIN", level = 110, }, 
	["优雅回复"] = { class = "PALADIN", level = 110, }, 
	["无情审讯"] = { class = "PALADIN", level = 110, }, 
	["正义堡垒"] = { class = "PALADIN", level = 110, }, 
	["正义烈焰"] = { class = "PALADIN", level = 110, }, 
	["飞舞之盾"] = { class = "PALADIN", level = 110, }, 
	["坚定保护者"] = { class = "PALADIN", level = 110, }, 
--	["狂热"] = { class = "PALADIN", level = 110, }, 
	["以太结界"] = { class = "PALADIN", level = 110, },   --8.1
	["苍穹之力"] = { class = "PALADIN", level = 110, },   --8.1	
	["圣光闪烁"] = { class = "PALADIN", level = 110, },   --8.1	
	["圣光赦令"] = { class = "PALADIN", level = 110, },   --8.1	
	["正义判罪"] = { class = "PALADIN", level = 110, },   --8.1
--++ Paladin Specializations ++	
	["审判"] = { class = "PALADIN", level = 3, }, 
	["圣光闪现"] = { class = "PALADIN", level = 5, }, 
	["制裁之锤"] = { class = "PALADIN", level = 8, }, 
	["复仇者之盾"] = { class = "PALADIN", level = 10, }, 
	["正义之锤"] = { class = "PALADIN", level = 10, }, 
	["神圣震击"] = { class = "PALADIN", level = 10, }, 
	["正义之怒"] = { class = "PALADIN", level = 10, }, 
	["庇护"] = { class = "PALADIN", level = 10, }, 
	["圣殿骑士的裁决"] = { class = "PALADIN", level = 10, }, 
	["圣光道标"] = { class = "PALADIN", level = 20, }, 
	["公正之剑"] = { class = "PALADIN", level = 20, }, 
	["正义盾击"] = { class = "PALADIN", level = 20, }, 
	["清洁术"] = { class = "PALADIN", level = 22, }, 
	["清毒术"] = { class = "PALADIN", level = 22, }, 
	["妨害之手"] = { class = "PALADIN", level = 24, }, 
	["大十字军"] = { class = "PALADIN", level = 25, }, 
	["圣光术"] = { class = "PALADIN", level = 25, }, 
	["十字军打击"] = { class = "PALADIN", level = 26, }, 
	["战争艺术"] = { class = "PALADIN", level = 28, }, 
	["智者审判"] = { class = "PALADIN", level = 28, }, 
	["圣佑术"] = { class = "PALADIN", level = 32, }, 
	["复仇之盾"] = { class = "PALADIN", level = 32, }, 
	["圣光灌注"] = { class = "PALADIN", level = 35, }, 
	["责难"] = { class = "PALADIN", level = 35, }, 
	["神圣风暴"] = { class = "PALADIN", level = 40, }, 
	["黎明之光"] = { class = "PALADIN", level = 40, }, 
	["守护之光"] = { class = "PALADIN", level = 40, }, 
	["保护祝福"] = { class = "PALADIN", level = 48, }, 
	["炽热防御者"] = { class = "PALADIN", level = 50, }, 
	["殉道者之光"] = { class = "PALADIN", level = 50, }, 
	["牺牲祝福"] = { class = "PALADIN", level = 56, }, 
	["强效王者祝福"] = { class = "PALADIN", level = 58, }, 
	["强效智慧祝福"] = { class = "PALADIN", level = 65, }, 
	["宽恕"] = { class = "PALADIN", level = 66, }, 
	["光环掌握"] = { class = "PALADIN", level = 70, }, 
	["远古列王守卫"] = { class = "PALADIN", level = 70, }, 
	["报复"] = { class = "PALADIN", level = 70, }, 
	["精通：神圣壁垒"] = { class = "PALADIN", level = 78, }, 
	["精通：圣光之手"] = { class = "PALADIN", level = 78, }, 
	["精通：光明使者"] = { class = "PALADIN", level = 78, }, 
	["复仇之怒"] = { class = "PALADIN", level = 80, }, 
--++ Paladin Talents ++	
	["赋予信仰"] = { class = "PALADIN", level = 15, }, 
	["祝福之锤"] = { class = "PALADIN", level = 15, }, 
	["十字军之力"] = { class = "PALADIN", level = 15, }, 
	["处决宣判"] = { class = "PALADIN", level = 15, }, 
	["神圣之盾"] = { class = "PALADIN", level = 15, }, 
	["圣光之锤"] = { class = "PALADIN", level = 15, }, 
	["多面防御"] = { class = "PALADIN", level = 15, }, 
	["正义裁决"] = { class = "PALADIN", level = 15, }, 
	["狂热"] = { class = "PALADIN", level = 15, }, 
	["圣光壁垒"] = { class = "PALADIN", level = 30, }, 
	["愤怒之剑"] = { class = "PALADIN", level = 30, }, 
	["骑手"] = { class = "PALADIN", level = 30, }, 
	["十字军审判"] = { class = "PALADIN", level = 30, }, 
	["正义之火"] = { class = "PALADIN", level = 30, }, 
	["复仇原点"] = { class = "PALADIN", level = 30, }, 
	["愤怒之锤"] = { class = "PALADIN", level = 30, }, 
	["律法之则"] = { class = "PALADIN", level = 30, }, 
	["盲目之光"] = { class = "PALADIN", level = 45, }, 
	["制裁之拳"] = { class = "PALADIN", level = 45, }, 
	["忏悔"] = { class = "PALADIN", level = 45, }, 
	["仁慈光环"] = { class = "PALADIN", level = 60, }, 
	["牺牲光环"] = { class = "PALADIN", level = 60, }, 
	["破咒祝福"] = { class = "PALADIN", level = 60, }, 
	["奉献"] = { class = "PALADIN", level = 60, }, 
	["虔诚光环"] = { class = "PALADIN", level = 60, }, 
	["神圣审判"] = { class = "PALADIN", level = 60, }, 
	["惩戒光环"] = { class = "PALADIN", level = 60, }, 
	["灰烬觉醒"] = { class = "PALADIN", level = 60, }, 
	["以眼还眼"] = { class = "PALADIN", level = 75, }, 
	["决一死战"] = { class = "PALADIN", level = 75, }, 
	["守护者之手"] = { class = "PALADIN", level = 75, }, 
	["神圣复仇者"] = { class = "PALADIN", level = 75, }, 
	["神圣棱镜"] = { class = "PALADIN", level = 75, }, 
	["圣光审判"] = { class = "PALADIN", level = 75, }, 
	["不败之魂"] = { class = "PALADIN", level = 75, }, 
	["圣光护盾"] = { class = "PALADIN", level = 90, }, 
	["复仇十字军"] = { class = "PALADIN", level = 90, }, 
	["觉醒"] = { class = "PALADIN", level = 90, }, 
	["圣洁之地"] = { class = "PALADIN", level = 90, }, 
	["审判官复仇"] = { class = "PALADIN", level = 90, }, 
	["圣洁怒火"] = { class = "PALADIN", level = 90, }, 
	["无私治愈"] = { class = "PALADIN", level = 90, }, 
	["荣耀圣令"] = { class = "PALADIN", level = 90, }, 
	["信仰道标"] = { class = "PALADIN", level = 100, }, 
	["美德道标"] = { class = "PALADIN", level = 100, }, 
	["征伐"] = { class = "PALADIN", level = 100, }, 
	["神圣意志"] = { class = "PALADIN", level = 100, }, 
	["异端裁决"] = { class = "PALADIN", level = 100, }, 
	["最终防御者"] = { class = "PALADIN", level = 100, }, 
	["正义保护者"] = { class = "PALADIN", level = 100, }, 
	["炽天使"] = { class = "PALADIN", level = 100, }, 
--++ Paladin PvP Talents ++	
	["复仇之光"] = { class = "PALADIN", level = 40, }, 
	["祝福之手"] = { class = "PALADIN", level = 40, }, 
	["净化虚弱"] = { class = "PALADIN", level = 40, }, 
	["拂晓的黑暗"] = { class = "PALADIN", level = 40, }, 
	["神恩术"] = { class = "PALADIN", level = 40, }, 
	["神罚者"] = { class = "PALADIN", level = 40, }, 
	["神圣视野"] = { class = "PALADIN", level = 40, }, 
	["圣光守护"] = { class = "PALADIN", level = 40, }, 
	["被遗忘的女王护卫"] = { class = "PALADIN", level = 40, }, 
	["神圣之地"] = { class = "PALADIN", level = 40, }, 
	["神圣仪式"] = { class = "PALADIN", level = 40, }, 
	["纯洁审判"] = { class = "PALADIN", level = 40, }, 
	["神圣制裁"] = { class = "PALADIN", level = 40, }, 
	["法律与秩序"] = { class = "PALADIN", level = 40, }, 
	["秩序之源"] = { class = "PALADIN", level = 40, }, 
	["光之优雅"] = { class = "PALADIN", level = 40, }, 
	["明光"] = { class = "PALADIN", level = 40, }, 
	["纯净心灵"] = { class = "PALADIN", level = 40, }, 
	["神圣职责"] = { class = "PALADIN", level = 40, }, 
	["炽天使祝福"] = { class = "PALADIN", level = 40, }, 
	["美德之盾"] = { class = "PALADIN", level = 40, }, 
	["广布圣言"] = { class = "PALADIN", level = 40, }, 
	["荣耀战马"] = { class = "PALADIN", level = 40, }, 
	["无尽牺牲"] = { class = "PALADIN", level = 40, }, 
	["无拘自由"] = { class = "PALADIN", level = 40, }, 
	["光明战士"] = { class = "PALADIN", level = 40, }, 
	["清算之锤"] = { class = "PALADIN", level = 40, }, 
	["复仇光环"] = { class = "PALADIN", level = 40, }, 
	["净化之光"] = { class = "PALADIN", level = 40, }, 
	["庇护祝福"] = { class = "PALADIN", level = 40, }, 
	["终极惩戒"] = { class = "PALADIN", level = 40, }, 	--8.1	
--++ Priest Abilities ++	
	["惩击"] = { class = "PRIEST", level = 1, }, 
	["真言术：障"] = { class = "PRIEST", level = 5, }, 
	["复活术"] = { class = "PRIEST", level = 14, }, 
	["真言术：韧"] = { class = "PRIEST", level = 22, }, 
	["束缚亡灵"] = { class = "PRIEST", level = 34, }, 
	["精神控制"] = { class = "PRIEST", level = 42, }, 
	["渐隐术"] = { class = "PRIEST", level = 44, }, 
	["驱散魔法"] = { class = "PRIEST", level = 56, }, 
	["群体驱散"] = { class = "PRIEST", level = 80, }, 
--++ Priest Artifact Traits ++
	["杜爾之光"] = { class = "PRIEST", level = 100, }, 
	["聖光之怒"] = { class = "PRIEST", level = 100, }, 
	["虛無洪流"] = { class = "PRIEST", level = 100, }, 
--++ Priest Azerite Traits ++	
	["命运之缚"] = { class = "PRIEST", level = 110, }, 
	["祝福之灵"] = { class = "PRIEST", level = 110, }, 
	["狂乱合唱"] = { class = "PRIEST", level = 110, }, 
	["轻蔑的训诫"] = { class = "PRIEST", level = 110, }, 
	["死亡挣扎"] = { class = "PRIEST", level = 110, }, 
	["暗影深渊"] = { class = "PRIEST", level = 110, }, 
	["持久之光"] = { class = "PRIEST", level = 110, }, 
	["永续之光"] = { class = "PRIEST", level = 110, }, 
--	["宽恕之赐"] = { class = "PRIEST", level = 110, }, 
	["智慧收割"] = { class = "PRIEST", level = 110, }, 
	["安详时分"] = { class = "PRIEST", level = 110, }, 
	["弥漫之光"] = { class = "PRIEST", level = 110, }, 
	["漫长祈祷"] = { class = "PRIEST", level = 110, }, 
--	["神圣之焰"] = { class = "PRIEST", level = 110, }, 
	["庇护"] = { class = "PRIEST", level = 110, }, 
	["灼烧之言"] = { class = "PRIEST", level = 110, }, 
	["怨恨的魂影"] = { class = "PRIEST", level = 110, }, 
	["智慧收割者"] = { class = "PRIEST", level = 110, }, 
	["痛苦折磨"] = { class = "PRIEST", level = 110, }, 
	["祸福相倚"] = { class = "PRIEST", level = 110, }, 
	["被诅咒者的低语"] = { class = "PRIEST", level = 110, }, 
	["愈合之语"] = { class = "PRIEST", level = 110, },
	["绝境重生"] = { class = "PRIEST", level = 110, }, 	--8.1
	["救赎许诺"] = { class = "PRIEST", level = 110, }, 	--8.1	
	["灵光神启"] = { class = "PRIEST", level = 110, }, 	--8.1	
--++ Priest Specializations ++	
	["暗言术：痛"] = { class = "PRIEST", level = 3, }, 
	["快速治疗"] = { class = "PRIEST", level = 5, }, 
	["真言术：盾"] = { class = "PRIEST", level = 8, }, 
	["神圣之火"] = { class = "PRIEST", level = 10, }, 
	["圣言术：静"] = { class = "PRIEST", level = 10, }, 
	["心灵震爆"] = { class = "PRIEST", level = 10, }, 
	["精神鞭笞"] = { class = "PRIEST", level = 10, }, 
	["苦修"] = { class = "PRIEST", level = 10, }, 
	["恢复"] = { class = "PRIEST", level = 12, }, 
	["暗影形态"] = { class = "PRIEST", level = 12, }, 
	["心灵视界"] = { class = "PRIEST", level = 13, }, 
	["圣言术：罚"] = { class = "PRIEST", level = 16, }, 
	["心灵尖啸"] = { class = "PRIEST", level = 18, }, 
	["救赎"] = { class = "PRIEST", level = 20, }, 
	["圣言术"] = { class = "PRIEST", level = 20, }, 
	["虚空箭"] = { class = "PRIEST", level = 20, }, 
	["虚空爆发"] = { class = "PRIEST", level = 20, }, 
	["虚空形态"] = { class = "PRIEST", level = 20, }, 
	["纯净术"] = { class = "PRIEST", level = 22, }, 
	["净化疾病"] = { class = "PRIEST", level = 22, }, 
	["治疗术"] = { class = "PRIEST", level = 24, }, 
	["吸血鬼之触"] = { class = "PRIEST", level = 24, }, 
	["绝望祷言"] = { class = "PRIEST", level = 26, }, 
	["精神灼烧"] = { class = "PRIEST", level = 26, }, 
	["治疗祷言"] = { class = "PRIEST", level = 28, }, 
	["暗影愈合"] = { class = "PRIEST", level = 28, }, 
	["暗言术：灭"] = { class = "PRIEST", level = 28, }, 
	["吸血鬼的拥抱"] = { class = "PRIEST", level = 28, }, 
	["漂浮术"] = { class = "PRIEST", level = 32, }, 
	["救赎之魂"] = { class = "PRIEST", level = 32, }, 
	["神圣新星"] = { class = "PRIEST", level = 33, }, 
	["专注意志"] = { class = "PRIEST", level = 38, }, 
	["暗影幻灵"] = { class = "PRIEST", level = 38, }, 
	["圣言术：灵"] = { class = "PRIEST", level = 40, }, 
	["暗影魔"] = { class = "PRIEST", level = 40, }, 
	["守护之魂"] = { class = "PRIEST", level = 44, }, 
	["消散"] = { class = "PRIEST", level = 48, }, 
	["痛苦压制"] = { class = "PRIEST", level = 48, }, 
	["愈合祷言"] = { class = "PRIEST", level = 50, }, 
	["全神贯注"] = { class = "PRIEST", level = 50, }, 
	["真言术：耀"] = { class = "PRIEST", level = 52, }, 
	["沉默"] = { class = "PRIEST", level = 52, }, 
	["阴暗面之力"] = { class = "PRIEST", level = 58, }, 
	["幻像"] = { class = "PRIEST", level = 58, },   --8.1	
	["信仰飞跃"] = { class = "PRIEST", level = 63, }, 
	["群体复活"] = { class = "PRIEST", level = 66, }, 
	["神圣赞美诗"] = { class = "PRIEST", level = 70, }, 
	["精通：圣光回响"] = { class = "PRIEST", level = 78, }, 
	["精通：优雅"] = { class = "PRIEST", level = 78, }, 
	["精通：疯狂"] = { class = "PRIEST", level = 78, }, 
	["希望象征"] = { class = "PRIEST", level = 85, }, 
--++ Priest Talents ++	
	["惩罚"] = { class = "PRIEST", level = 15, }, 
	["持久恢复"] = { class = "PRIEST", level = 15, }, 
	["启迪"] = { class = "PRIEST", level = 15, }, 
	["意志壁垒"] = { class = "PRIEST", level = 15, }, 
	["教派分歧"] = { class = "PRIEST", level = 15, }, 
	["暗言术：虚"] = { class = "PRIEST", level = 15, }, 
	["暗影洞察"] = { class = "PRIEST", level = 15, }, 
	["光明尾迹"] = { class = "PRIEST", level = 15, }, 
	["命运多舛"] = { class = "PRIEST", level = 15, }, 
	["天使之慈"] = { class = "PRIEST", level = 30, }, 
	["天堂之羽"] = { class = "PRIEST", level = 30, }, 
	["身心合一"] = { class = "PRIEST", level = 30, }, 
--	["狂欢"] = { class = "PRIEST", level = 30, }, 
	["暗影无形"] = { class = "PRIEST", level = 30, },   --8.1
	["忍辱负重"] = { class = "PRIEST", level = 30, }, 
	["祈告"] = { class = "PRIEST", level = 30, }, 
	["萨莱因"] = { class = "PRIEST", level = 30, }, 
	["宇宙涟漪"] = { class = "PRIEST", level = 45, }, 
	["黑暗虚空"] = { class = "PRIEST", level = 45, }, 
	["守护天使"] = { class = "PRIEST", level = 45, }, 
	["摧心魔"] = { class = "PRIEST", level = 45, }, 
	["哀难"] = { class = "PRIEST", level = 45, }, 
	["真言术：慰"] = { class = "PRIEST", level = 45, }, 
	["护盾戒律"] = { class = "PRIEST", level = 45, }, 
	["谴罚"] = { class = "PRIEST", level = 60, }, 
	["支配心智"] = { class = "PRIEST", level = 60, }, 
	["遗言"] = { class = "PRIEST", level = 60, }, 
	["心灵炸弹"] = { class = "PRIEST", level = 60, }, 
	["心灵惊骇"] = { class = "PRIEST", level = 60, }, 
	["心灵之声"] = { class = "PRIEST", level = 60, }, 
	["闪光力场"] = { class = "PRIEST", level = 60, }, 
	["吉兆"] = { class = "PRIEST", level = 75, }, 
	["联结治疗"] = { class = "PRIEST", level = 75, }, 
	["治疗之环"] = { class = "PRIEST", level = 75, }, 
	["幡然悔悟"] = { class = "PRIEST", level = 75, }, 
	["暗影盟约"] = { class = "PRIEST", level = 75, }, 
	["暗影冲撞"] = { class = "PRIEST", level = 75, }, 
	["诸罪加身"] = { class = "PRIEST", level = 75, }, 
	["圣光涌动"] = { class = "PRIEST", level = 75, }, 
	["祈福"] = { class = "PRIEST", level = 90, }, 
	["神圣之星"] = { class = "PRIEST", level = 90, }, 
	["光晕"] = { class = "PRIEST", level = 90, }, 
	["延宕狂乱"] = { class = "PRIEST", level = 90, }, 
	["净化邪恶"] = { class = "PRIEST", level = 90, }, 
	["虚空洪流"] = { class = "PRIEST", level = 90, }, 
	["神圣化身"] = { class = "PRIEST", level = 100, }, 
	["黑暗升华"] = { class = "PRIEST", level = 100, }, 
	["福音"] = { class = "PRIEST", level = 100, }, 
	["圣言术：赎"] = { class = "PRIEST", level = 100, }, 
	["虚空之遗"] = { class = "PRIEST", level = 100, }, 
	["仁慈"] = { class = "PRIEST", level = 100, }, 
	["纳鲁之光"] = { class = "PRIEST", level = 100, }, 
	["微光屏障"] = { class = "PRIEST", level = 100, }, 
	["疯入膏肓"] = { class = "PRIEST", level = 100, }, 
--++ Priest PvP Talents ++	
	["天使长"] = { class = "PRIEST", level = 40, }, 
	["黑暗天使长"] = { class = "PRIEST", level = 40, }, 
	["远离邪恶"] = { class = "PRIEST", level = 40, }, 
	["圣灵护体"] = { class = "PRIEST", level = 40, }, 
	["圣光罩顶"] = { class = "PRIEST", level = 40, }, 
	["堕入疯狂"] = { class = "PRIEST", level = 40, }, 
	["狂乱边缘"] = { class = "PRIEST", level = 40, }, 
	["强效治疗术"] = { class = "PRIEST", level = 40, }, 
--	["幻像"] = { class = "PRIEST", level = 40, }, 
	["圣言术：聚"] = { class = "PRIEST", level = 40, }, 		
	["心灵专注"] = { class = "PRIEST", level = 40, }, 
	["精神创伤"] = { class = "PRIEST", level = 40, }, 
	["创造奇迹"] = { class = "PRIEST", level = 40, }, 
	["预兆"] = { class = "PRIEST", level = 40, }, 
	["心智联结"] = { class = "PRIEST", level = 40, }, 
	["灵能魔"] = { class = "PRIEST", level = 40, }, 
	["纯粹暗影"] = { class = "PRIEST", level = 40, }, 
	["纯净"] = { class = "PRIEST", level = 40, }, 
	["纯净决心"] = { class = "PRIEST", level = 40, }, 
	["急速愈合"] = { class = "PRIEST", level = 40, }, 
	["希望之光"] = { class = "PRIEST", level = 40, }, 
	["灼热之光"] = { class = "PRIEST", level = 40, }, 
	["暗影狂欢"] = { class = "PRIEST", level = 40, }, 
	["救赎者之魂"] = { class = "PRIEST", level = 40, }, 
	["灵魂之力"] = { class = "PRIEST", level = 40, }, 
	["三位一体"] = { class = "PRIEST", level = 40, }, 
	["极致光辉"] = { class = "PRIEST", level = 40, }, 
	["虚空之源"] = { class = "PRIEST", level = 40, }, 
	["虚空之盾"] = { class = "PRIEST", level = 40, }, 
	["神圣守卫"] = { class = "PRIEST", level = 40, }, 
	["强化渐隐术"] = { class = "PRIEST", level = 40, }, 
	["虚空转移"] = { class = "PRIEST", level = 40, }, 
--++ Rogue Abilities ++	
	["侦测"] = { class = "ROGUE", level = 1, }, 
	["猩红之瓶"] = { class = "ROGUE", level = 16, }, 
	["脚踢"] = { class = "ROGUE", level = 18, }, 
	["开锁"] = { class = "ROGUE", level = 24, }, 
	["疾跑"] = { class = "ROGUE", level = 32, }, 
	["侦测陷阱"] = { class = "ROGUE", level = 42, }, 
	["佯攻"] = { class = "ROGUE", level = 44, }, 
	["健步如飞"] = { class = "ROGUE", level = 58, }, 
	["安全降落"] = { class = "ROGUE", level = 62, }, 
	["潜伏帷幕"] = { class = "ROGUE", level = 68, }, 
	["嫁祸诀窍"] = { class = "ROGUE", level = 70, }, 
	["暗影斗篷"] = { class = "ROGUE", level = 80, }, 
--++ Rogue Artifact Traits ++
	["驚懼雙刀的詛咒"] = { class = "ROGUE", level = 100, },
	["破喉之咬"] = { class = "ROGUE", level = 100, },
	["王禍"] = { class = "ROGUE", level = 100, },
--++ Rogue Azerite Traits ++	
	["袖里乾坤"] = { class = "ROGUE", level = 110, }, 
	["影中利刃"] = { class = "ROGUE", level = 110, }, 
	["狂徒闪击"] = { class = "ROGUE", level = 110, }, 
	["污染物"] = { class = "ROGUE", level = 110, }, 
	["神射手"] = { class = "ROGUE", level = 110, }, 
	["双倍剂量"] = { class = "ROGUE", level = 110, }, 
--	["刀刃散射"] = { class = "ROGUE", level = 110, }, 
	["疾行足垫"] = { class = "ROGUE", level = 110, }, 
	["命中注定"] = { class = "ROGUE", level = 110, }, 
	["夜之复仇"] = { class = "ROGUE", level = 110, }, 
	["祸兮福兮"] = { class = "ROGUE", level = 110, }, 
	["洞穿"] = { class = "ROGUE", level = 110, }, 
--	["淬毒之线"] = { class = "ROGUE", level = 110, }, 
--	["尖锐利刃"] = { class = "ROGUE", level = 110, }, 
	["隐匿斗篷"] = { class = "ROGUE", level = 110, }, 
	["暗影窒息"] = { class = "ROGUE", level = 110, }, 
	["蛇眼"] = { class = "ROGUE", level = 110, }, 
	["钢铁风暴"] = { class = "ROGUE", level = 110, }, 
	["海盗剑客"] = { class = "ROGUE", level = 110, }, 
	["第一支舞"] = { class = "ROGUE", level = 110, }, 
	["利刃扭转"] = { class = "ROGUE", level = 110, }, 
	["回声之刃"] = { class = "ROGUE", level = 110, },  --8.1
	["审时度势"] = { class = "ROGUE", level = 110, },  --8.1	
	["伺机而动"] = { class = "ROGUE", level = 110, },  --8.1	
 	["公事公办"] = { class = "ROGUE", level = 110, },  --8.1
	["暗影增生"] = { class = "ROGUE", level = 110, },  --8.1		
--++ Rogue Specializations ++	
	["寻找财宝"] = { class = "ROGUE", level = 1, }, 
	["刺骨"] = { class = "ROGUE", level = 3, }, 
	["潜行"] = { class = "ROGUE", level = 5, }, 
	["偷袭"] = { class = "ROGUE", level = 8, }, 
	["背刺"] = { class = "ROGUE", level = 10, }, 
	["作战潜能"] = { class = "ROGUE", level = 10, }, 
	["致命药膏"] = { class = "ROGUE", level = 10, }, 
	["斩击"] = { class = "ROGUE", level = 10, }, 
	["能量恢复"] = { class = "ROGUE", level = 10, }, 
	["强化药膏"] = { class = "ROGUE", level = 10, }, 
	["手枪射击"] = { class = "ROGUE", level = 10, }, 
	["剧毒之刃"] = { class = "ROGUE", level = 10, }, 
	["飞镖投掷"] = { class = "ROGUE", level = 10, }, 
	["影袭"] = { class = "ROGUE", level = 10, }, 
	["锁喉"] = { class = "ROGUE", level = 12, }, 
	["暗影打击"] = { class = "ROGUE", level = 12, }, 
	["搜索"] = { class = "ROGUE", level = 13, }, 
	["闷棍"] = { class = "ROGUE", level = 14, }, 
	["正中眉心"] = { class = "ROGUE", level = 20, }, 
	["穷追猛砍"] = { class = "ROGUE", level = 20, }, 
	["夜刃"] = { class = "ROGUE", level = 20, }, 
	["割裂"] = { class = "ROGUE", level = 20, }, 
	["伏击"] = { class = "ROGUE", level = 22, }, 
	["抓钩"] = { class = "ROGUE", level = 22, }, 
	["暗影步"] = { class = "ROGUE", level = 22, }, 
	["致盲"] = { class = "ROGUE", level = 24, }, 
	["闪避"] = { class = "ROGUE", level = 26, }, 
	["无情"] = { class = "ROGUE", level = 28, }, 
	["封印命运"] = { class = "ROGUE", level = 28, }, 
	["暗影技巧"] = { class = "ROGUE", level = 28, }, 
	["凿击"] = { class = "ROGUE", level = 34, }, 
	["肾击"] = { class = "ROGUE", level = 34, }, 
	["毒伤"] = { class = "ROGUE", level = 36, }, 
	["死亡符记"] = { class = "ROGUE", level = 36, }, 
	["减速药膏"] = { class = "ROGUE", level = 38, }, 
	["扰乱"] = { class = "ROGUE", level = 38, }, 
	["毁伤"] = { class = "ROGUE", level = 40, }, 
	["命运骨骰"] = { class = "ROGUE", level = 40, }, 
	["暗影之舞"] = { class = "ROGUE", level = 40, }, 
	["暗影之握"] = { class = "ROGUE", level = 40, }, 
	["消失"] = { class = "ROGUE", level = 48, }, 
	["无情打击"] = { class = "ROGUE", level = 50, }, 
	["无休锋刃"] = { class = "ROGUE", level = 50, }, 
	["剧毒创伤"] = { class = "ROGUE", level = 50, }, 
	["侵蚀之影"] = { class = "ROGUE", level = 54, }, 
	["致伤药膏"] = { class = "ROGUE", level = 54, }, 
	["冲动"] = { class = "ROGUE", level = 56, }, 
	["暗影之刃"] = { class = "ROGUE", level = 56, }, 
	["宿敌"] = { class = "ROGUE", level = 56, }, 
	["剑刃乱舞"] = { class = "ROGUE", level = 63, }, 
	["刀扇"] = { class = "ROGUE", level = 63, }, 
	["袖剑风暴"] = { class = "ROGUE", level = 63, }, 
	["袖剑连击"] = { class = "ROGUE", level = 70, }, 
	["精通：刽子手"] = { class = "ROGUE", level = 78, }, 
	["精通：左右开弓"] = { class = "ROGUE", level = 78, }, 
	["精通：强效奇袭"] = { class = "ROGUE", level = 78, }, 
--++ Rogue Talents ++	
	["侧袭"] = { class = "ROGUE", level = 15, }, 
	["深谋远虑"] = { class = "ROGUE", level = 15, }, 
	["洞悉弱点"] = { class = "ROGUE", level = 15, }, 
	["鬼魅攻击"] = { class = "ROGUE", level = 15, }, 
	["幽暗之刃"] = { class = "ROGUE", level = 15, }, 
	["毒物大师"] = { class = "ROGUE", level = 15, }, 
	["快速拔枪"] = { class = "ROGUE", level = 15, }, 
	["武器大师"] = { class = "ROGUE", level = 15, }, 
	["杂耍打击"] = { class = "ROGUE", level = 30, }, 
	["移形换位"] = { class = "ROGUE", level = 30, }, 
	["刺客大师"] = { class = "ROGUE", level = 30, }, 
	["夜行者"] = { class = "ROGUE", level = 30, }, 
	["伸缩钩"] = { class = "ROGUE", level = 30, }, 
	["暗影集中"] = { class = "ROGUE", level = 30, }, 
	["诡诈"] = { class = "ROGUE", level = 30, }, 
	["深邃诡计"] = { class = "ROGUE", level = 45, }, 
	["死亡标记"] = { class = "ROGUE", level = 45, }, 
	["精力"] = { class = "ROGUE", level = 45, }, 
	["装死"] = { class = "ROGUE", level = 60, }, 
	["飘忽不定"] = { class = "ROGUE", level = 60, }, 
	["铜肠铁胃"] = { class = "ROGUE", level = 60, }, 
	["吸血药膏"] = { class = "ROGUE", level = 60, }, 
	["抚慰之黯"] = { class = "ROGUE", level = 60, }, 
	["致盲粉"] = { class = "ROGUE", level = 75, }, 
	["邪恶计谋"] = { class = "ROGUE", level = 75, }, 
	["内出血"] = { class = "ROGUE", level = 75, }, 
	["铁线"] = { class = "ROGUE", level = 75, }, 
	["暗夜恐怖"] = { class = "ROGUE", level = 75, }, 
	["欺凌"] = { class = "ROGUE", level = 75, }, 
	["暗算"] = { class = "ROGUE", level = 75, }, 
	["敏锐"] = { class = "ROGUE", level = 90, }, 
	["黑暗之影"] = { class = "ROGUE", level = 90, }, 
	["暗影笼罩"] = { class = "ROGUE", level = 90, }, 
	["抽血"] = { class = "ROGUE", level = 90, }, 
	["灌铅骰子"] = { class = "ROGUE", level = 90, }, 
	["切割"] = { class = "ROGUE", level = 90, }, 
	["淬毒之刃"] = { class = "ROGUE", level = 90, }, 
	["药膏专家"] = { class = "ROGUE", level = 90, }, 
	["刀锋冲刺"] = { class = "ROGUE", level = 100, }, 
	["猩红风暴"] = { class = "ROGUE", level = 100, }, 
	["钢铁之舞"] = { class = "ROGUE", level = 100, }, 
	["隐刃"] = { class = "ROGUE", level = 100, }, 
	["影舞步"] = { class = "ROGUE", level = 100, }, 
	["暗影大师"] = { class = "ROGUE", level = 100, }, 
	["毒液炸弹"] = { class = "ROGUE", level = 100, }, 
	["影分身"] = { class = "ROGUE", level = 100, }, 
	["袖剑旋风"] = { class = "ROGUE", level = 100, }, 
--++ Rogue PvP Talents ++	
	["登船突击队"] = { class = "ROGUE", level = 40, }, 
	["阴险伎俩"] = { class = "ROGUE", level = 40, }, 
	["冷血"] = { class = "ROGUE", level = 40, }, 
	["制者为王"] = { class = "ROGUE", level = 40, }, 
	["迟缓毒液"] = { class = "ROGUE", level = 40, }, 
	["暗里藏刀"] = { class = "ROGUE", level = 40, }, 
	["致命阴谋"] = { class = "ROGUE", level = 40, }, 
	["天降杀机"] = { class = "ROGUE", level = 40, }, 
	["开怀畅饮"] = { class = "ROGUE", level = 40, }, 
	["匕首飞掷"] = { class = "ROGUE", level = 40, }, 
	["刺客的尊严"] = { class = "ROGUE", level = 40, }, 
	["杀意已决"] = { class = "ROGUE", level = 40, }, 
	["动若脱兔"] = { class = "ROGUE", level = 40, }, 
	["麻痹药膏"] = { class = "ROGUE", level = 40, }, 
	["神经毒素"] = { class = "ROGUE", level = 40, }, 
	["幻影刺杀"] = { class = "ROGUE", level = 40, }, 
	["掠夺护甲"] = { class = "ROGUE", level = 40, }, 
	["暗影决斗"] = { class = "ROGUE", level = 40, }, 
	["剪影"] = { class = "ROGUE", level = 40, }, 
	["神经冲击"] = { class = "ROGUE", level = 40, }, 
	["人人有份"] = { class = "ROGUE", level = 40, }, 
	["偷天换日"] = { class = "ROGUE", level = 40, }, 
	["窃贼的交易"] = { class = "ROGUE", level = 40, }, 
	["局势逆转"] = { class = "ROGUE", level = 40, }, 
	["午夜帷幕"] = { class = "ROGUE", level = 40, }, 
	["卸除武装"] = { class = "ROGUE", level = 40, }, 
	["毒刃"] = { class = "ROGUE", level = 40, }, 
	["烟雾弹"] = { class = "ROGUE", level = 40, }, 
--++ Shaman Abilities ++	
	["地缚图腾"] = { class = "SHAMAN", level = 8, }, 
	["视界术"] = { class = "SHAMAN", level = 13, }, 
	["先祖之魂"] = { class = "SHAMAN", level = 14, }, 
	["幽魂之狼"] = { class = "SHAMAN", level = 16, }, 
	["复生"] = { class = "SHAMAN", level = 26, }, 
	["水上行走"] = { class = "SHAMAN", level = 32, }, 
	["妖术"] = { class = "SHAMAN", level = 42, }, 
	["星界传送"] = { class = "SHAMAN", level = 44, }, 
	["闪电奔涌图腾"] = { class = "SHAMAN", level = 44, }, 
	["嗜血"] = { class = "SHAMAN", level = 50, }, 
	["英勇"] = { class = "SHAMAN", level = 50, }, 
	["星界转移"] = { class = "SHAMAN", level = 52, }, 
	["战栗图腾"] = { class = "SHAMAN", level = 58, }, 
	["净化术"] = { class = "SHAMAN", level = 63, }, 
--++ Shaman Artifact Traits ++
	["末日之風"] = { class = "SHAMAN", level = 100, }, 
	["女王之賜"] = { class = "SHAMAN", level = 100, }, 
	["風暴守護者"] = { class = "SHAMAN", level = 100, }, 
--++ Shaman Azerite Traits ++	
	["先祖之触"] = { class = "SHAMAN", level = 110, }, 
	["先祖共鸣"] = { class = "SHAMAN", level = 110, }, 
--	["星界转移"] = { class = "SHAMAN", level = 110, }, 
	["元素回响"] = { class = "SHAMAN", level = 110, }, 
	["电力能量"] = { class = "SHAMAN", level = 110, }, 
	["先祖之焰"] = { class = "SHAMAN", level = 110, }, 
	["治疗之道"] = { class = "SHAMAN", level = 110, }, 
	["火岩潜能"] = { class = "SHAMAN", level = 110, }, 
	["熔岩震击"] = { class = "SHAMAN", level = 110, }, 
--	["雷电导管"] = { class = "SHAMAN", level = 110, }, 
	["闪电灼烧"] = { class = "SHAMAN", level = 110, }, 
	["自然和谐"] = { class = "SHAMAN", level = 110, }, 
	["溢流海滩"] = { class = "SHAMAN", level = 110, }, 
	["幽魂狼群"] = { class = "SHAMAN", level = 110, }, 
	["原始知识"] = { class = "SHAMAN", level = 110, }, 
	["翻滚风暴"] = { class = "SHAMAN", level = 110, }, 
--	["撼地余震"] = { class = "SHAMAN", level = 110, }, 
	["安详灵魂"] = { class = "SHAMAN", level = 110, }, 
	["喷涌灵魂"] = { class = "SHAMAN", level = 110, }, 
	["风暴之眼"] = { class = "SHAMAN", level = 110, }, 
	["大地之力"] = { class = "SHAMAN", level = 110, }, 
	["攻击者的优雅"] = { class = "SHAMAN", level = 110, }, 
	["汹涌狂潮"] = { class = "SHAMAN", level = 110, }, 
	["神经电激"] = { class = "SHAMAN", level = 110, }, 
	["火山闪电"] = { class = "SHAMAN", level = 110, }, 
	["上古十字章护符"] = { class = "SHAMAN", level = 110, },  --8.1	
	["地壳震怒"] = { class = "SHAMAN", level = 110, },  --8.1	
	["桑德兰之怒"] = { class = "SHAMAN", level = 110, },  --8.1		
	["潮汐扭转"] = { class = "SHAMAN", level = 110, },  --8.1		
--++ Shaman Specializations ++	
	["怒雷"] = { class = "SHAMAN", level = 1, }, 
	["闪电箭"] = { class = "SHAMAN", level = 1, }, 
	["烈焰震击"] = { class = "SHAMAN", level = 3, }, 
	["漩涡控制"] = { class = "SHAMAN", level = 3, }, 
	["治疗之涌"] = { class = "SHAMAN", level = 5, }, 
	["大地震击"] = { class = "SHAMAN", level = 10, }, 
	["熔岩猛击"] = { class = "SHAMAN", level = 10, }, 
	["漩涡值"] = { class = "SHAMAN", level = 10, }, 
	["激流"] = { class = "SHAMAN", level = 10, }, 
	["石化"] = { class = "SHAMAN", level = 10, }, 
	["火舌"] = { class = "SHAMAN", level = 12, }, 
	["熔岩爆裂"] = { class = "SHAMAN", level = 12, }, 
	["治疗之泉图腾"] = { class = "SHAMAN", level = 14, }, 
	["风剪"] = { class = "SHAMAN", level = 18, }, 
	["治疗链"] = { class = "SHAMAN", level = 20, }, 
	["风暴打击"] = { class = "SHAMAN", level = 20, }, 
	["净化灵魂"] = { class = "SHAMAN", level = 22, }, 
	["净化灵魂"] = { class = "SHAMAN", level = 22, }, 
	["治疗波"] = { class = "SHAMAN", level = 24, }, 
	["雷霆风暴"] = { class = "SHAMAN", level = 24, }, 
	["风怒"] = { class = "SHAMAN", level = 24, }, 
	["闪电链"] = { class = "SHAMAN", level = 28, }, 
	["毁灭闪电"] = { class = "SHAMAN", level = 28, }, 
	["精通：元素过载"] = { class = "SHAMAN", level = 29, }, 
	["元素之怒"] = { class = "SHAMAN", level = 34, }, 
	["野性狼魂"] = { class = "SHAMAN", level = 34, }, 
	["潮汐奔涌"] = { class = "SHAMAN", level = 34, }, 
	["土元素"] = { class = "SHAMAN", level = 36, }, 
	["冰霜震击"] = { class = "SHAMAN", level = 38, }, 
	["冰封"] = { class = "SHAMAN", level = 38, }, 
	["灵魂行者的恩赐"] = { class = "SHAMAN", level = 38, }, 
	["治疗之雨"] = { class = "SHAMAN", level = 40, }, 
	["熔岩奔腾"] = { class = "SHAMAN", level = 40, }, 
	["漩涡武器"] = { class = "SHAMAN", level = 40, }, 
	["地震术"] = { class = "SHAMAN", level = 48, }, 
	["复苏"] = { class = "SHAMAN", level = 48, }, 
	["风暴使者"] = { class = "SHAMAN", level = 48, }, 
	["火元素"] = { class = "SHAMAN", level = 56, }, 
	["灵魂链接图腾"] = { class = "SHAMAN", level = 56, }, 
	["先祖视界"] = { class = "SHAMAN", level = 66, }, 
	["精通：深度治疗"] = { class = "SHAMAN", level = 78, }, 
	["精通：增强元素"] = { class = "SHAMAN", level = 78, }, 
	["治疗之潮图腾"] = { class = "SHAMAN", level = 80, }, 
--	["幽魂步"] = { class = "SHAMAN", level = 80, }, 
--++ Shaman Talents ++	
	["石拳"] = { class = "SHAMAN", level = 15, }, 
	["元素冲击"] = { class = "SHAMAN", level = 15, }, 
	["元素外露"] = { class = "SHAMAN", level = 15, }, 
	["灼热之手"] = { class = "SHAMAN", level = 15, }, 
	["闪电之盾"] = { class = "SHAMAN", level = 15, }, 
	["洪流"] = { class = "SHAMAN", level = 15, }, 
	["波动"] = { class = "SHAMAN", level = 15, }, 
	["余震"] = { class = "SHAMAN", level = 30, }, 
	["洪水"] = { class = "SHAMAN", level = 30, }, 
	["召唤雷霆"] = { class = "SHAMAN", level = 30, },	--8.1	
	["元素回响"] = { class = "SHAMAN", level = 30, }, 
	["强风"] = { class = "SHAMAN", level = 30, }, 
	["山崩"] = { class = "SHAMAN", level = 30, }, 
	["元素宗师"] = { class = "SHAMAN", level = 60, }, 
	["图腾掌握"] = { class = "SHAMAN", level = 30, }, 
	["大地之盾"] = { class = "SHAMAN", level = 45, }, 
	["陷地图腾"] = { class = "SHAMAN", level = 45, }, 
	["幽灵狼"] = { class = "SHAMAN", level = 45, }, 
	["静电充能"] = { class = "SHAMAN", level = 45, }, 
	["先祖护佑图腾"] = { class = "SHAMAN", level = 60, }, 
	["先祖活力"] = { class = "SHAMAN", level = 60, }, 
	["大地之墙图腾"] = { class = "SHAMAN", level = 60, }, 
	["冰雹"] = { class = "SHAMAN", level = 60, }, 
	["高压"] = { class = "SHAMAN", level = 60, }, 
	["岩浆图腾"] = { class = "SHAMAN", level = 60, }, 
	["超载"] = { class = "SHAMAN", level = 60, }, 
	["灼热强袭"] = { class = "SHAMAN", level = 60, }, 
	["风暴元素"] = { class = "SHAMAN", level = 60, }, 
	["先祖指引"] = { class = "SHAMAN", level = 75, }, 
	["狂野扑击"] = { class = "SHAMAN", level = 75, }, 
	["恩赐之魂"] = { class = "SHAMAN", level = 75, }, 
	["自然守护者"] = { class = "SHAMAN", level = 75, }, 
	["狂风图腾"] = { class = "SHAMAN", level = 75, }, 
	["暴雨图腾"] = { class = "SHAMAN", level = 90, }, 
	["毁灭风暴"] = { class = "SHAMAN", level = 90, }, 
	["倾盆大雨"] = { class = "SHAMAN", level = 90, }, 
	["大地狂怒"] = { class = "SHAMAN", level = 15, }, 
	["迅捷洪流"] = { class = "SHAMAN", level = 90, }, 
	["空气之怒"] = { class = "SHAMAN", level = 90, }, 
	["冰怒"] = { class = "SHAMAN", level = 90, }, 
	["元素尊者"] = { class = "SHAMAN", level = 90, }, 
	["裂地术"] = { class = "SHAMAN", level = 90, }, 
	["升腾"] = { class = "SHAMAN", level = 100, }, 
	["能量湍流"] = { class = "SHAMAN", level = 90, },  --8.1	
	["大地之刺"] = { class = "SHAMAN", level = 100, }, 
	["元素之灵"] = { class = "SHAMAN", level = 100, }, 
	["浪潮汹涌"] = { class = "SHAMAN", level = 100, }, 
	["风暴守护者"] = { class = "SHAMAN", level = 100, }, 
	["无穷力量"] = { class = "SHAMAN", level = 100, }, 
	["奔涌之流"] = { class = "SHAMAN", level = 100, }, 
--++ Shaman PvP Talents ++	
	["平静之水"] = { class = "SHAMAN", level = 40, }, 
	["熔岩掌控"] = { class = "SHAMAN", level = 40, }, 
	["大地之怒"] = { class = "SHAMAN", level = 40, }, 
	["通电"] = { class = "SHAMAN", level = 40, }, 
	["元素协调"] = { class = "SHAMAN", level = 40, }, 
--	["叉状闪电"] = { class = "SHAMAN", level = 40, }, 
	["洁净之水"] = { class = "SHAMAN", level = 40, }, 
	["驾驭闪电"] = { class = "SHAMAN", level = 40, }, 
	["水之涟漪"] = { class = "SHAMAN", level = 40, }, 
	["萨满之道"] = { class = "SHAMAN", level = 40, }, 
	["幽灵恢复"] = { class = "SHAMAN", level = 40, }, 
	["澎湃之潮"] = { class = "SHAMAN", level = 40, }, 
	["潮汐使者"] = { class = "SHAMAN", level = 40, }, 
	["旅行风暴"] = { class = "SHAMAN", level = 40, }, 
	["巫毒掌握"] = { class = "SHAMAN", level = 40, }, 
--	["静电附着"] = { class = "SHAMAN", level = 40, }, 
	["雷霆充能"] = { class = "SHAMAN", level = 40, }, 
	["闪电磁索"] = { class = "SHAMAN", level = 40, }, 
	["反击图腾"] = { class = "SHAMAN", level = 40, }, 
	["天怒图腾"] = { class = "SHAMAN", level = 40, }, 
	["根基图腾"] = { class = "SHAMAN", level = 40, }, 
	["灵魂链接"] = { class = "SHAMAN", level = 40, }, 
	["灵体形态"] = { class = "SHAMAN", level = 40, }, 
	["先祖恩赐"] = { class = "SHAMAN", level = 40, },	--8.1
	["净化水流"] = { class = "SHAMAN", level = 40, },	--8.1	
--++ Warlock Abilities ++	
	["魔能之箭"] = { class = "WARLOCK", level = 1, }, 
	["召唤小鬼"] = { class = "WARLOCK", level = 5, }, 
	["控制恶魔"] = { class = "WARLOCK", level = 10, }, 
	["灵魂碎片"] = { class = "WARLOCK", level = 10, }, 
	["恐惧"] = { class = "WARLOCK", level = 16, }, 
	["制造治疗石"] = { class = "WARLOCK", level = 18, }, 
	["地狱战马"] = { class = "WARLOCK", level = 20, }, 
	["召唤虚空行者"] = { class = "WARLOCK", level = 20, }, 
	["生命通道"] = { class = "WARLOCK", level = 22, }, 
	["基尔罗格之眼"] = { class = "WARLOCK", level = 24, }, 
	["无尽呼吸"] = { class = "WARLOCK", level = 24, }, 
	["召唤魅魔"] = { class = "WARLOCK", level = 28, }, 
	["放逐术"] = { class = "WARLOCK", level = 32, }, 
	["灵魂榨取"] = { class = "WARLOCK", level = 34, }, 
	["召唤地狱猎犬"] = { class = "WARLOCK", level = 36, }, 
	["恶魔掌控"] = { class = "WARLOCK", level = 38, }, 
	["恐惧战马"] = { class = "WARLOCK", level = 40, }, 
	["召唤仪式"] = { class = "WARLOCK", level = 42, }, 
	["灵魂石"] = { class = "WARLOCK", level = 44, }, 
	["不灭决心"] = { class = "WARLOCK", level = 54, }, 
	["奴役恶魔"] = { class = "WARLOCK", level = 56, }, 
	["恶魔之拥"] = { class = "WARLOCK", level = 63, }, 	 --8.1	
	["制造灵魂之井"] = { class = "WARLOCK", level = 66, }, 
	["恶魔传送门"] = { class = "WARLOCK", level = 80, }, 
--++ Warlock Artifact Traits ++
	["次元裂隙"] = { class = "WARLOCK", level = 100, }, 
	["收割靈魂"] = { class = "WARLOCK", level = 100, }, 
	["薩奇爾之噬"] = { class = "WARLOCK", level = 100, }, 
--++ Warlock Azerite Traits ++	
--	["催化之焰"] = { class = "WARLOCK", level = 110, }, 
	["爆发耀斑"] = { class = "WARLOCK", level = 110, }, 
	["灾难瀑流"] = { class = "WARLOCK", level = 110, }, 
	["混乱狱火"] = { class = "WARLOCK", level = 110, }, 
	["粉碎混沌"] = { class = "WARLOCK", level = 110, }, 
	["恶魔流星"] = { class = "WARLOCK", level = 110, }, 
	["绝望之力"] = { class = "WARLOCK", level = 110, }, 
	["恐惧召唤"] = { class = "WARLOCK", level = 110, }, 
--	["禁断知识"] = { class = "WARLOCK", level = 110, }, 
	["大难临头"] = { class = "WARLOCK", level = 110, }, 
	["生命之血"] = { class = "WARLOCK", level = 110, }, 
	["流星闪耀"] = { class = "WARLOCK", level = 110, }, 
	["翻滚浩劫"] = { class = "WARLOCK", level = 110, }, 
	["暗影之咬"] = { class = "WARLOCK", level = 110, }, 
	["钻心剧痛"] = { class = "WARLOCK", level = 110, }, 
	["最高指挥官"] = { class = "WARLOCK", level = 110, }, 
	["暗燃之焰"] = { class = "WARLOCK", level = 110, }, 
	["毁灭之智"] = { class = "WARLOCK", level = 110, },
	["怨毒祷告"] = { class = "WARLOCK", level = 110, },   --8.1	
	["混沌碎片"] = { class = "WARLOCK", level = 110, },   --8.1	
	["疫灾祷告"] = { class = "WARLOCK", level = 110, },   --8.1		
	["心灵之惧"] = { class = "WARLOCK", level = 110, },   --8.1	
--++ Warlock Specializations ++	
	["暗影箭"] = { class = "WARLOCK", level = 1, }, 
	["腐蚀术"] = { class = "WARLOCK", level = 3, }, 
	["痛楚"] = { class = "WARLOCK", level = 10, }, 
	["燃烧"] = { class = "WARLOCK", level = 10, }, 
	["古尔丹之手"] = { class = "WARLOCK", level = 10, }, 
--	["献祭"] = { class = "WARLOCK", level = 10, }, 
	["混乱之箭"] = { class = "WARLOCK", level = 12, }, 
	["召唤恶魔卫士"] = { class = "WARLOCK", level = 12, }, 
	["吸取生命"] = { class = "WARLOCK", level = 13, }, 
	["爆燃"] = { class = "WARLOCK", level = 14, }, 
	["召唤恐惧猎犬"] = { class = "WARLOCK", level = 14, }, 
	["烧尽"] = { class = "WARLOCK", level = 14, }, 
	["痛苦无常"] = { class = "WARLOCK", level = 14, }, 
	["恶魔之箭"] = { class = "WARLOCK", level = 22, }, 
	["火焰之雨"] = { class = "WARLOCK", level = 26, }, 
	["恶魔之核"] = { class = "WARLOCK", level = 30, }, 
	["腐蚀之种"] = { class = "WARLOCK", level = 38, }, 
	["浩劫"] = { class = "WARLOCK", level = 40, }, 
	["内爆"] = { class = "WARLOCK", level = 46, }, 
	["灵魂链接"] = { class = "WARLOCK", level = 52, }, 
	["召唤黑眼"] = { class = "WARLOCK", level = 58, }, 
	["召唤地狱火"] = { class = "WARLOCK", level = 58, }, 
	["暗影之怒"] = { class = "WARLOCK", level = 60, }, 
	["精通：混乱能量"] = { class = "WARLOCK", level = 78, }, 
	["精通：恶魔学识大师"] = { class = "WARLOCK", level = 78, }, 
	["精通：剧痛"] = { class = "WARLOCK", level = 78, }, 
	["召唤恶魔暴君"] = { class = "WARLOCK", level = 80, }, 
--++ Warlock Talents ++	
	["灾怨轰炸"] = { class = "WARLOCK", level = 15, }, 
	["死亡之箭"] = { class = "WARLOCK", level = 15, }, 
	["恶魔力量"] = { class = "WARLOCK", level = 15, }, 
	["吸取灵魂"] = { class = "WARLOCK", level = 15, }, 
	["恐惧奇袭"] = { class = "WARLOCK", level = 15, }, 
	["灭杀"] = { class = "WARLOCK", level = 15, }, 
	["爆裂之炎"] = { class = "WARLOCK", level = 15, }, 
	["夜幕"] = { class = "WARLOCK", level = 15, }, 
	["灵魂之火"] = { class = "WARLOCK", level = 15, }, 
	["绝对腐蚀"] = { class = "WARLOCK", level = 30, }, 
	["魔性征召"] = { class = "WARLOCK", level = 30, }, 
	["厄运"] = { class = "WARLOCK", level = 30, }, 
	["内燃"] = { class = "WARLOCK", level = 30, }, 
	["能量虹吸"] = { class = "WARLOCK", level = 30, }, 
	["熵能返转"] = { class = "WARLOCK", level = 30, }, 
	["暗影灼烧"] = { class = "WARLOCK", level = 30, }, 
	["翻腾痛楚"] = { class = "WARLOCK", level = 30, }, 
	["爆燃冲刺"] = { class = "WARLOCK", level = 45, }, 
	["黑暗契约"] = { class = "WARLOCK", level = 45, }, 
	["恶魔皮肤"] = { class = "WARLOCK", level = 45, }, 
	["大灾变"] = { class = "WARLOCK", level = 60, }, 
	["硫磺烈火"] = { class = "WARLOCK", level = 60, }, 
	["来自暗影"] = { class = "WARLOCK", level = 60, }, 
	["地狱烈火"] = { class = "WARLOCK", level = 60, }, 
	["诡异魅影"] = { class = "WARLOCK", level = 60, }, 
	["灵魂打击"] = { class = "WARLOCK", level = 60, }, 
	["腐蚀播种"] = { class = "WARLOCK", level = 60, }, 
	["召唤邪犬"] = { class = "WARLOCK", level = 60, }, 
	["邪恶污染"] = { class = "WARLOCK", level = 60, }, 
	["黑暗之怒"] = { class = "WARLOCK", level = 75, }, 
	["恶魔法阵"] = { class = "WARLOCK", level = 75, }, 
	["死亡缠绕"] = { class = "WARLOCK", level = 75, }, 
	["牺牲魔典"] = { class = "WARLOCK", level = 90, }, 
	["统御魔典"] = { class = "WARLOCK", level = 90, }, 
	["魔典：恶魔卫士"] = { class = "WARLOCK", level = 90, }, 
	["鬼影缠身"] = { class = "WARLOCK", level = 90, }, 
	["内心之魔"] = { class = "WARLOCK", level = 90, }, 
	["咆哮烈焰"] = { class = "WARLOCK", level = 90, }, 
	["恶魔之火"] = { class = "WARLOCK", level = 100, }, 
	["死亡蔓延"] = { class = "WARLOCK", level = 100, }, 
	["黑暗灵魂：动荡"] = { class = "WARLOCK", level = 100, }, 
	["黑暗灵魂：哀难"] = { class = "WARLOCK", level = 100, }, 
	["恶魔吞噬"] = { class = "WARLOCK", level = 100, }, 
	["虚空传送门"] = { class = "WARLOCK", level = 100, }, 
	["献祭之魂"] = { class = "WARLOCK", level = 100, }, 
	["灵魂导管"] = { class = "WARLOCK", level = 100, }, 
--++ Warlock PvP Talents ++	
	["召唤地狱猎犬"] = { class = "WARLOCK", level = 40, }, 
	["召唤眼魔"] = { class = "WARLOCK", level = 40, }, 
	["火葬"] = { class = "WARLOCK", level = 40, }, 
	["脆弱诅咒"] = { class = "WARLOCK", level = 40, }, 
	["暗影诅咒"] = { class = "WARLOCK", level = 40, }, 
	["语言诅咒"] = { class = "WARLOCK", level = 40, }, 
	["虚弱诅咒"] = { class = "WARLOCK", level = 40, }, 
	["无尽痛苦"] = { class = "WARLOCK", level = 40, }, 
	["烈焰缠身"] = { class = "WARLOCK", level = 40, }, 
	["精华汲取"] = { class = "WARLOCK", level = 40, }, 
	["邪能裂痕"] = { class = "WARLOCK", level = 40, }, 
	["聚焦混乱"] = { class = "WARLOCK", level = 40, }, 
	["传送门大师"] = { class = "WARLOCK", level = 40, }, 
	["召唤大师"] = { class = "WARLOCK", level = 40, }, 
	["痛中作乐"] = { class = "WARLOCK", level = 40, }, 
	["腐化枯萎"] = { class = "WARLOCK", level = 40, }, 
	["浩劫灾祸"] = { class = "WARLOCK", level = 40, }, 
	["施法之环"] = { class = "WARLOCK", level = 40, }, 
	["虚空守卫"] = { class = "WARLOCK", level = 40, }, 
	["烧灼驱魔"] = { class = "WARLOCK", level = 40, }, 
	["灵魂破碎"] = { class = "WARLOCK", level = 40, }, 
	["召唤邪能领主"] = { class = "WARLOCK", level = 40, }, 
	["魔甲术"] = { class = "WARLOCK", level = 40, }, 	--8.1	
--++ Warrior Abilities ++	
	["攻击"] = { class = "WARRIOR", level = 1, }, 
	["冲锋"] = { class = "WARRIOR", level = 3, }, 
	["嘲讽"] = { class = "WARRIOR", level = 13, }, 
	["英勇投掷"] = { class = "WARRIOR", level = 17, }, 
	["拳击"] = { class = "WARRIOR", level = 24, }, 
	["英勇飞跃"] = { class = "WARRIOR", level = 26, }, 
	["战斗怒吼"] = { class = "WARRIOR", level = 42, }, 
--++ Warrior Artifact Traits ++
	["奈薩里奧之怒"] = { class = "WARRIOR", level = 100, },
	["歐丁之怒"] = { class = "WARRIOR", level = 100, },
	["破戰制霸"] = { class = "WARRIOR", level = 100, },
--++ Warrior Azerite Traits ++	
--	["血腥疯狂"] = { class = "WARRIOR", level = 110, }, 
	["血律"] = { class = "WARRIOR", level = 110, }, 
	["抵御冲击"] = { class = "WARRIOR", level = 110, }, 
	["突破"] = { class = "WARRIOR", level = 110, }, 
	["胜利宣言"] = { class = "WARRIOR", level = 110, }, 
	["无情报复"] = { class = "WARRIOR", level = 110, }, 
	["碾压突袭"] = { class = "WARRIOR", level = 110, }, 
	["雷音贯耳"] = { class = "WARRIOR", level = 110, }, 
--	["刽子手的精准"] = { class = "WARRIOR", level = 110, }, 
--	["聚焦风暴"] = { class = "WARRIOR", level = 110, }, 
	["无尽怒火"] = { class = "WARRIOR", level = 110, }, 
	["钢铁要塞"] = { class = "WARRIOR", level = 110, }, 
	["战争之王"] = { class = "WARRIOR", level = 110, }, 
	["光荣时刻"] = { class = "WARRIOR", level = 110, }, 
	["碾压打击"] = { class = "WARRIOR", level = 110, }, 
	["鲁莽劈砍"] = { class = "WARRIOR", level = 110, }, 
--	["坚不可破"] = { class = "WARRIOR", level = 110, }, 
	["地震波"] = { class = "WARRIOR", level = 110, }, 
	["怒气冲天"] = { class = "WARRIOR", level = 110, }, 
	["力量的考验"] = { class = "WARRIOR", level = 110, }, 
--	["欺凌弱小"] = { class = "WARRIOR", level = 110, }, 
	["千钧堡垒"] = { class = "WARRIOR", level = 110, },   --8.1
	["寒光热血"] = { class = "WARRIOR", level = 110, },   --8.1
	["威慑气息"] = { class = "WARRIOR", level = 110, },   --8.1	
	["趁热打铁"] = { class = "WARRIOR", level = 110, },   --8.1	
	["不羁狂野"] = { class = "WARRIOR", level = 110, },   --8.1	
--++ Warrior Specializations ++	
	["百战老兵"] = { class = "WARRIOR", level = 1, }, 
	["猛击"] = { class = "WARRIOR", level = 1, }, 
	["先锋"] = { class = "WARRIOR", level = 1, }, 
	["乘胜追击"] = { class = "WARRIOR", level = 5, }, 
	["斩杀"] = { class = "WARRIOR", level = 8, }, 
	["嗜血"] = { class = "WARRIOR", level = 10, }, 
	["毁灭打击"] = { class = "WARRIOR", level = 10, }, 
	["致死打击"] = { class = "WARRIOR", level = 10, }, 
	["盾牌猛击"] = { class = "WARRIOR", level = 10, }, 
	["泰坦之握"] = { class = "WARRIOR", level = 10, }, 
	["暴怒"] = { class = "WARRIOR", level = 12, }, 
	["暴怒！"] = { class = "WARRIOR", level = 12, }, 
	["激怒"] = { class = "WARRIOR", level = 14, }, 
	["雷霆一击"] = { class = "WARRIOR", level = 14, }, 
	["压制"] = { class = "WARRIOR", level = 20, }, 
	["怒击"] = { class = "WARRIOR", level = 20, }, 
	["盾牌格挡"] = { class = "WARRIOR", level = 20, }, 
	["复仇"] = { class = "WARRIOR", level = 22, }, 
	["横扫攻击"] = { class = "WARRIOR", level = 22, }, 
	["拦截"] = { class = "WARRIOR", level = 28, }, 
	["断筋"] = { class = "WARRIOR", level = 32, }, 
	["破釜沉舟"] = { class = "WARRIOR", level = 32, }, 
	["刺耳怒吼"] = { class = "WARRIOR", level = 32, }, 
	["战术专家"] = { class = "WARRIOR", level = 34, }, 
	["剑在人在"] = { class = "WARRIOR", level = 36, }, 
	["狂怒回复"] = { class = "WARRIOR", level = 36, }, 
	["无视苦痛"] = { class = "WARRIOR", level = 36, }, 
	["旋风斩"] = { class = "WARRIOR", level = 40, }, 
	["狂暴之怒"] = { class = "WARRIOR", level = 44, }, 
	["挫志怒吼"] = { class = "WARRIOR", level = 48, }, 
	["巨人打击"] = { class = "WARRIOR", level = 50, }, 
	["鲁莽"] = { class = "WARRIOR", level = 50, }, 
	["震荡波"] = { class = "WARRIOR", level = 50, }, 
	["重伤"] = { class = "WARRIOR", level = 55, }, 
	["盾墙"] = { class = "WARRIOR", level = 55, }, 
	["剑刃风暴"] = { class = "WARRIOR", level = 65, }, 
	["破胆怒吼"] = { class = "WARRIOR", level = 70, }, 
	["法术反射"] = { class = "WARRIOR", level = 70, }, 
	["精通：精确格挡"] = { class = "WARRIOR", level = 78, }, 
	["精通：重伤"] = { class = "WARRIOR", level = 78, }, 
	["精通：不羁之怒"] = { class = "WARRIOR", level = 78, }, 
	["集结呐喊"] = { class = "WARRIOR", level = 80, }, 
--++ Warrior Talents ++	
	["无尽怒气"] = { class = "WARRIOR", level = 15, }, 
	["新鲜血肉"] = { class = "WARRIOR", level = 15, }, 
	["胜利在望"] = { class = "WARRIOR", level = 15, }, 
	["投入战斗"] = { class = "WARRIOR", level = 15, }, 
	["惩罚"] = { class = "WARRIOR", level = 15, }, 
	["碎颅打击"] = { class = "WARRIOR", level = 15, }, 
	["猝死"] = { class = "WARRIOR", level = 15, }, 
	["战争机器"] = { class = "WARRIOR", level = 15, }, 
	["爆裂闪电"] = { class = "WARRIOR", level = 30, }, 
	["再度冲锋"] = { class = "WARRIOR", level = 30, }, 
	["捍卫"] = { class = "WARRIOR", level = 30, }, 
	["风暴之锤"] = { class = "WARRIOR", level = 30, }, 
	["痛宰"] = { class = "WARRIOR", level = 45, }, 
	["战斗狂热"] = { class = "WARRIOR", level = 45, }, 
	["狂暴挥砍"] = { class = "WARRIOR", level = 45, }, 
	["怒火中烧"] = { class = "WARRIOR", level = 45, }, 
	["屠杀"] = { class = "WARRIOR", level = 45, }, 
	["撕裂"] = { class = "WARRIOR", level = 45, }, 
	["无坚不摧之力"] = { class = "WARRIOR", level = 45, }, 
	["激励"] = { class = "WARRIOR", level = 60, }, 
	["腾跃步伐"] = { class = "WARRIOR", level = 60, }, 
	["防御姿态"] = { class = "WARRIOR", level = 60, }, 
	["狂怒冲锋"] = { class = "WARRIOR", level = 60, }, 
	["百折不挠"] = { class = "WARRIOR", level = 60, }, 
	["绝不屈服"] = { class = "WARRIOR", level = 60, }, 
	["复苏之风"] = { class = "WARRIOR", level = 60, }, 
	["战争印记"] = { class = "WARRIOR", level = 60, }, 
	["屠戮"] = { class = "WARRIOR", level = 75, }, 
	["顺劈斩"] = { class = "WARRIOR", level = 75, }, 
	["间接伤害"] = { class = "WARRIOR", level = 75, }, 
	["暴乱狂战士"] = { class = "WARRIOR", level = 75, }, 
	["威吓"] = { class = "WARRIOR", level = 75, }, 
	["滚石元素"] = { class = "WARRIOR", level = 75, }, 
	["灭战者"] = { class = "WARRIOR", level = 75, }, 
	["天神下凡"] = { class = "WARRIOR", level = 90, }, 
	["震耳嗓音"] = { class = "WARRIOR", level = 90, }, 
	["致命平静"] = { class = "WARRIOR", level = 90, }, 
	["灭绝者"] = { class = "WARRIOR", level = 90, }, 
	["巨龙怒吼"] = { class = "WARRIOR", level = 90, }, 
	["杀心骤起"] = { class = "WARRIOR", level = 90, }, 
	["血肉顺劈"] = { class = "WARRIOR", level = 90, }, 
	["报复"] = { class = "WARRIOR", level = 90, }, 
	["愤怒掌控"] = { class = "WARRIOR", level = 100, }, 
	["悍勇无畏"] = { class = "WARRIOR", level = 100, }, 
	["强力反击"] = { class = "WARRIOR", level = 100, }, 
	["破坏者"] = { class = "WARRIOR", level = 100, }, 
	["肆意放纵"] = { class = "WARRIOR", level = 100, }, 
	["破城者"] = { class = "WARRIOR", level = 100, }, 
--++ Warrior PvP Talents ++	
	["野人"] = { class = "WARRIOR", level = 40, }, 
	["战斗专注"] = { class = "WARRIOR", level = 40, }, 
	["死亡裁决"] = { class = "WARRIOR", level = 40, }, 
	["决斗"] = { class = "WARRIOR", level = 40, }, 
	["无尽之怒"] = { class = "WARRIOR", level = 40, }, 
	["扶危助困"] = { class = "WARRIOR", level = 40, }, 
	["指挥大师"] = { class = "WARRIOR", level = 40, }, 
	["士气重挫"] = { class = "WARRIOR", level = 40, }, 
	["压迫"] = { class = "WARRIOR", level = 40, }, 
	["全力备战"] = { class = "WARRIOR", level = 40, }, 
	["巨人之影"] = { class = "WARRIOR", level = 40, }, 
	["打磨利刃"] = { class = "WARRIOR", level = 40, }, 
	["屠宰场"] = { class = "WARRIOR", level = 40, }, 
	["剑盾猛攻"] = { class = "WARRIOR", level = 40, }, 
	["渴望战斗"] = { class = "WARRIOR", level = 40, }, 
	["雷霆打击"] = { class = "WARRIOR", level = 40, }, 
	["战争之道"] = { class = "WARRIOR", level = 40, }, 
	["护卫"] = { class = "WARRIOR", level = 40, }, 
	["群体反射"] = { class = "WARRIOR", level = 40, }, 
	["毁灭风暴"] = { class = "WARRIOR", level = 40, }, 
	["死亡之愿"] = { class = "WARRIOR", level = 40, }, 
	["盾击"] = { class = "WARRIOR", level = 40, }, 
	["缴械"] = { class = "WARRIOR", level = 40, }, 
	["巨龙冲锋"] = { class = "WARRIOR", level = 40, }, 
	["战旗"] = { class = "WARRIOR", level = 40, }, 
};
